Introduction

Welcome to the Gamry Instruments, Inc. PWR800 Electrochemical Energy Software package. This packages is meant for researchers who are performing studies in the area of energy storage and conversion. Included in the package are techniques for performing charge and discharge experiments, as well as cyclic voltammetry. With the addition of an EIS300 license, electrochemical impedance measurements can also be integrated into cyclic charge discharge experiments.


Read Voltage Purpose

This is a general purpose experiment that allows you to determine the voltage of any cells connected to the instrument. It is a good experiment to verify your connections prior to running a charge or discharge experiment.


Read Voltage Setup Parameters


Read Voltage Experimental Sequence

The Read Voltage standard technique is run by selecting Experiment, Electrochemical Energy, Read Voltage from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "pwr read voltage.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file specified in the Output name. The Runner window's Title reflects the Output filename. If the potentiostat is in use or the file cannot be opened, the script returns to the Setup dialog box.

    The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:
  1. Tags identifying possible analysis.
  2. The current time and data
  3. A list of setup parameters.
  4. The actual reading of the voltage occurs. The cell of the potentiostat is in the off state, and the electrometer is read.

    A plot of Voltage versus time is displayed during the experiment.
  5. The data is written to the output file and the script cleans up and halts.

    Once the experimental sequence is complete, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Galvanostatic Purpose

This is a general purpose experimental technique which can be used to either charge a battery or discharge a battery or cell.

This is a half-cell, full-cell, or stack experiment.


Galvanostatic Setup Parameters


Galvanostatic Experimental Sequence

The PWR800 Galvanostatic standard technique is run by selecting Experiment, Electrochemical Energy, Galvanostatic from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "pwr galvanostatic.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file specified in the Output name. The Runner window's Title reflects the Output filename. If the potentiostat is in use or the file cannot be opened, the script returns to the Setup dialog box.
  4. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:
  1. Tags identifying possible analysis.
  2. The current time and data
  3. A list of setup parameters.
  5. The cell is turned on.
  6. The actual galvanostatic hold occurs. Readings of voltage and current are performed at fixed time intervals during the hold. The hold occurs until a stop criteria is met or until the maximum time specified in the setup parameters step.

    A plot of current and voltage versus time is displayed during the hold.
  7. The data is written to the output file and the script cleans up and halts.

    Once the experimental sequence is complete, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Potentiostatic Purpose

This is a general purpose experimental technique which can be used to potentiostatically hold a cell or battery. This experiment actually runs in a galvanostatic mode with a software feedback to give a potentiostatic response. The advantage of this method is that the potentiostat can never go into current overload, so no charge is lost. In the event the instrument is asked to provide a voltage that is too far away from the existing value, the instrument could be called upon to give infinite current. Using the galvanostatic/software feedback method, the instrument will simply provide the maximum amount of current available.


Potentiostatic Setup Parameters


Potentiostatic Experimental Sequence

The PWR800 Potentiostatic standard technique is run by selecting Experiment, Electrochemical Energy, Potentiostatic from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "pwr potentiostatic.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file specified in the Output name. The Runner window's Title reflects the Output filename. If the potentiostat is in use or the file cannot be opened, the script returns to the Setup dialog box.

  4. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:
  1. Tags identifying possible analysis.
  2. The current time and data
  3. A list of setup parameters.
  5. The cell is turned on.
  6. The actual potentiostatic hold occurs. Readings of voltage and current are performed at fixed time intervals during the hold.

    The hold is actually performed galvanostatically with a feedback loop to perform a pseudo potentiostatic experiment. This ensures that the instrument will not go into current overload which can happen under normal potentiostatic mode.

    A plot of current and voltage versus time is displayed during the hold.
  7. The data is written to the output file and the script cleans up and halts.

    Once the experimental sequence is complete, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Charge Purpose

This script is used to charge a storage device to a set voltage using constant current. It allows an optional voltage finish where the voltage is maintained for a user specified amount of time or until the current level falls below a user specified value.

This is a half-cell, full-cell, or stack experiment.


Charge Setup Parameters


Charge Experimental Sequence

The PWR800 Charge standard technique is run by selecting Experiment, Electrochemical Energy, Charge from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "pwr charge.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file specified in the Output name. The Runner window's Title reflects the Output filename. If the potentiostat is in use or the file cannot be opened, the script returns to the Setup dialog box.
  4. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:
  1. Tags identifying possible analysis.
  2. The current time and data
  3. A list of setup parameters.
  5. The cell is turned on.
  6. The charge begins. Readings are taken at fixed time intervals during the charge. The charge runs until either a stop criteria is met or until the maximum time specified in the setup parameters step.

    A plot of voltage and current versus time is displayed during the charge.
  7. If a subsequent Voltage Finish is specified in the setup parameters, a potentiostatic hold (performed galvanostatically with a software feedback loop) is performed. This hold runs until either the current falls below a specified level, or for a user specified maximum amount of time.

    The data is displayed on the same voltage and current plot.

  8. The data is written to the output file and the script cleans up and halts.

    Once the experimental sequence is complete, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Discharge Purpose

This script is used to load a cell or battery in either a constant current, constant power, or constant load mode.

This is either a half-cell, full-cell, or stack experiment.


Discharge Setup Parameters


Discharge Experimental Sequence

The PWR800 Discharge standard technique is run by selecting Experiment, Electrochemical Energy, Discharge from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "pwr discharge.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file specified in the Output name. The Runner window's Title reflects the Output filename. If the potentiostat is in use or the file cannot be opened, the script returns to the Setup dialog box.
  4. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:
  1. Tags identifying possible analysis.
  2. The current time and data
  3. A list of setup parameters.
  5. The maximum voltage is determined by measuring the voltage at the start of the experiment. This maximum voltage is used to help determine the appropriate current range for use in the software feedback mode for controlled power and controlled load discharge modes.
  6. The cell is turned on.
  7. The discharge begins. Readings are taken at fixed time intervals during the discharge. The discharge runs until either a stop criteria is met or until the maximum time specified in the setup parameters step.

    A plot of voltage and current versus time is displayed during the discharge.

  8. The data is written to the output file and the script cleans up and halts.

    Once the experimental sequence is complete, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Cyclic Charge Discharge Purpose

The purpose of the cyclic charge discharge experiment is to look at the change in battery capacity as a battery is cycled. Both charge and discharge capacities are calculated. The performance of the battery can be affected by either the charge or discharge characteristics, as well as the ambient temperature and chemistries.

This is a half-cell, full-cell, or stack experiment.


Cyclic Charge Discharge Setup Parameters


Cyclic Charge Discharge Experimental Sequence

The Cyclic Charge Discharge standard technique is run by selecting Experiment, Electrochemical Energy, Cyclic Charge Discharge from the Framework menu bar. Based on user input, the sequence will change slightly. Options include starting with a charge step or discharge step. Also if EIS300 is available, interleaved EIS scans can be selected. For this description, we will assume that no EIS scans are being selected, and that the first step is a charge step. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "pwr cyclic charge discharge.exp" script is run in this window.
  2. The script creates the first Setup dialog box and accepts changes in the parameters.
  3. After OK is selected a second dialog box is displayed containing additional parameters.
  4. The script now obtains the use of the potentiostat specified during Setup and opens the data file specified in the Output name. The Runner window's Title reflects the Output filename. If the potentiostat is in use or the file cannot be opened, the script returns to the Setup dialog box.
  5. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:
  1. Tags identifying possible analysis.
  2. The current time and data
  3. A list of setup parameters.
  6. The cell is turned on.
  7. The charge begins. Readings are taken at fixed time intervals during the charge. The charge runs until either a stop criteria is met or until the maximum time specified in the setup parameters step.

    A plot of voltage and current versus time is displayed during the charge.
  8. If a subsequent Voltage Finish is specified in the setup parameters, a potentiostatic hold (performed galvanostatically with a software feedback loop) is performed. This hold runs until either the current falls below a specified level, or for a user specified maximum amount of time.

    9. The data is displayed on the same voltage and current plot.

  9. The discharge begins. Readings are taken at fixed time intervals during the discharge. The discharge runs until either a stop criteria is met or until the maximum time specified in the setup parameters step.

    A plot of voltage and current versus time is displayed during the discharge.
  10. The data for the capacity curve is now calculated. Both a charge and a discharge capacity are calculated.

    A summary plot of Cycle number versus Charge Capacity and Discharge Capacity is displayed.
  11. While neither the maximum number of cycles specified in the setup parameters step nor the loop stop at criteria are met, the sequence will repeat beginning at step 7. If either the cycles or loop criteria is met, the sequence will move to step 12.
  12. The data is written to the output file and the script cleans up and halts.

    Once the experimental sequence is complete, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Polarization Curve Purpose

The purpose of this experiment is to determine the effect of varying load levels on the voltage of the battery. For validity, this test expects that the cell or battery under test should not drastically change during the experiment. For example, one should not run a test where 50% of the battery capacity is drained during the test.


Polarization Curve Setup Parameters


Polarization Curve Experimental Sequence

The PWR800 Polarization Curve standard technique is run by selecting Experiment, Electrochemical Energy, Polarization Curve from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "pwr polarization curve.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file specified in the Output name. The Runner window's Title reflects the Output filename. If the potentiostat is in use or the file cannot be opened, the script returns to the Setup dialog box.

  4. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:

  1. Tags identifying possible analysis.
  2. The current time and data
  3. A list of setup parameters.
  5. The maximum voltage is determined by measuring the voltage at the start of the experiment. This maximum voltage is used to help determine the appropriate current range for use in the software feedback mode for controlled power and controlled load discharge modes.
  6. The cell is turned on.
  7. The actual scan occurs. The sample is swept from the initial load to the final load. Readings are taken at fixed time intervals during the sweep.

    A plot of Voltage versus Load (Resistance, Power, or Current) is displayed during the scan.
  8. The data is written to the output file and the script cleans up and halts.

    Once the experimental sequence is complete, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Cyclic Voltammetry Purpose

Cyclic Voltammetry is used to study the mechanism, kinetics, and thermodynamics of chemical reactions. Both heterogeneous reactions occurring at the electrode surface, and homogeneous reactions in solution can be studied.

In regards to batteries, the technique is useful for identifying reversible couples as well as measuring rate constants and transfer coefficients.

This is a half-cell experiment.


Cyclic Voltammetry Setup Parameters


Cyclic Voltammetry Experimental Sequence

The Cyclic Charge Discharge standard technique is run by selecting Experiment, Electrochemical Energy, Cyclic Voltammetry from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "pwr cyclic voltammetry.exp" script is run in this window.
  2. The script creates the first Setup dialog box and accepts changes in the parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file specified in the Output name. The Runner window's Title reflects the Output filename. If the potentiostat is in use or the file cannot be opened, the script returns to the Setup dialog box.

    The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:
  1. Tags identifying possible analysis.
  2. The current time and data
  3. A list of setup parameters.
  4. If Initial Delay is on, then the cell is turned off and the specimen's Eoc is measured for the time specified as the Initial Delay time or until the potential stabilizes to a value less than the stability setting. A plot of potential versus time is always displayed. The last measured potential is recorded as Eoc. If Initial Delay is off, this step is skipped and Eoc is assumed to be 0.0 V vs. Ref.
  5. The script conditions the electrode if Conditioning was specified in the Setup. Conditioning is done by applying a fixed potential for a defined time. A plot of current versus time is displayed during Conditioning.
  6. Finally an actual scan occurs. The potential of the cell is set to Initial E. The potential is then swept from the Initial E to Scan Limit 1, then to Scan limit 2 and then to Final E. If Scan limit 2 equals Final E then the scan stops at that value. Current readings at fixed voltage intervals are taken during the sweep. The voltage interval between steps is defined as the Resolution in the Setup dialog box.
    If the number of Cycles exceeds one, the potential will repeat the sweep for n cycles.
    The sweep is actually a staircase ramp. The sample is potentiostatted at the Initial E, a delay of one sample period occurs (sample period = 1/Scan Rate * Resolution), and a reading of the current is taken. The potential is then stepped by a few mV as defined by Resolution, a delay of one Sample Period occurs, and the next current reading is taken. Stepping the potential, delaying and acquiring data points continues until the potential equals the Final E.
    If Autoranging was selected in Setup at each point the current range is automatically switched to the optimal range for the measured cell current. If Positive Feedback IR Compensation has been selected all data is continuously corrected for IR drop. If Current Interrupt IR Compensation has been selected, each potential is corrected for the measured IR drop of the preceding point.
    A plot of I vs. E is displayed during the scan.
  7. The data is written to the output file and the script cleans up and halts.

    Once the experimental sequence is complete, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Galvanostatic EIS Purpose

The Galvanostatic EIS technique is used to characterize an electrochemical interface. It is especially useful when the potential of the interface is changing with time. A small signal AC current excitation is applied to an electrochemical cell. The phase sensitive AC voltage response of the interface is measured as the frequency of the excitation signal is varied.

Galvanostatic EIS can be useful in many areas of electrochemistry, including research in batteries, electrode kinetics, and industrial electrolysis. It can be used to measure the EIS spectrum of a battery while the battery is being discharged.

The output of an EIS experiment is a complex impedance spectrum. The term complex is used in its mathematical sense -- containing both real and imaginary terms. An EIS spectrum is usually graphed as either a Bode plot (impedance magnitude and phase plotted versus frequency) or a Nyquist plot (imaginary impedance plotted versus real impedance). Analysis of the impedance spectrum can give you the following information:

  • Polarization Resistance
  • Double layer capacitance
  • Solution Resistance
  • Mechanistic and kinetic information

This is a half-cell, full-cell, or stack experiment.


Galvanostatic EIS Setup Parameters


Galvanostatic EIS Experimental Sequence

The PWR800 Galvanostatic EIS standard technique is run by selecting Experiment, Electrochemical Energy, Galvanostatic EIS from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "pwr galvanostatic eis.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file specified in the Output name. The Runner window's Title reflects the Output filename. If the potentiostat is in use or the file cannot be opened, the script returns to the Setup dialog box.
  4. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:
  1. Tags identifying possible analysis.
  2. The current time and data
  3. A list of setup parameters.
  5. The cell is turned off and the specimen's Eoc is measured. This step only lasts long enough for Eoc to be measured. A plot of potential versus time is always displayed. The last measured potential is recorded as Eoc.
  6. The script then sets up data acquisition. The Potentiostat is switched to galvanostatic mode and the cell is turned on. The measurement parameters are set to measure an impedance equal to the Estimated Z parameter. If a non-zero DC current has been requested, it is output.

    The current equal to the AC current is then output at the Initial Frequency and the cell's response to this frequency is measured. If the readings of both the E and I signals are acceptable, the script proceeds to the frequency sweep.

    If the values are not acceptable, the script generates a new estimate for the cell's impedance, resets the measurement parameters for this impedance, and reruns the measurement. If an acceptable reading cannot be reached after a set number of attempts, the script reports an error, asks if you to quit or continue, and waits for your answer.
  7. In the frequency sweep, the script first calculates the desired frequency. For the Nth step in the loop, the frequency is calculated as follows:

    Log Increment = 1.0 / Points/decade
    if Initial Frequency > Final Frequency, Log Increment = - Log Increment
    Frequency = 10(log(Initial Frequency) + N x Log Increment)

    This calculated frequency is then adjusted slightly because of the finite resolution of the oscillator and to avoid harmonics of the power line frequency.

    The script then sets the measurement parameters to measure an impedance equal to the last recorded impedance and then takes an FRA reading. If the readings of both the E and I signals are acceptable, the script converts the readings to an impedance, records the impedance point on disk, updates the displayed curve, and then proceeds to the next frequency in the frequency sweep.

    If an acceptable reading cannot be reached after a set number of attempts, the script reports an error, asks if you want to continue, and waits for your answer.
  8. When the calculated frequency exceeds the Final Frequency, the script halts, and waits for you to select SKIP. Once you do so, the script closes everything that's open, including the Runner window.


PWR800 Analysis Overview

The PWR800 uses the Gamry Echem Analyst to display, analyze, and print acquired data files. The Gamry Echem Analyst allows the user to use experiment specific analysis tools, such as Calculate Capacitance in charge and discharge experiments, by selecting those analysis tools from experiment specific pull down menus.

The Gamry Echem Analyst uses Visual Basic for Applications (VBA) as a scripting language to control the graphing and manipulation of the experimental data. These VBA analysis scripts are accessible by the user, so that they can be modified to include special analysis routines that are customized to your laboratories needs. Please refer to the Gamry Echem Analyst section of help for information on customizing your analysis scripts.


Read Voltage Analysis Overview

The PWR800 Read Voltage analysis script allows the user to open PWR800 Read Voltage data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard PWR800 Read Voltage analysis script shows a plot of voltage versus time on the first page. Common analyses performed from this graph include the Min/Max command. Descriptions of the analysis commands on the PWR800 Read Voltage menu can be found in the Commands section of the PWR800 Data Analysis Help.


Read Voltage Analysis Pages

The standard Read Voltage analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Read Voltage analysis. It contains the data plotted in a Voltage versus time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Curve

This page contains a grid showing the data curve portion of the data file. To display this page, select Options from the PWR800 Read Voltage menu and check the Display grid for each data table option.

Quick Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

Average

This page contains a grid of showing average values of each visible trace based on the most recent use of the Average command.

AE Data

When AE data is viewed, a new chart is displayed on an additional page. If multiple AE channels are selected, each AE channel's plot can be overlaid on the same page, or a separate page can be created for each AE channel. AE data is plotted in a Voltage versus Time format.


Galvanostatic Analysis Overview

The PWR800 Galvanostatic analysis script allows the user to open PWR800 Galvanostatic data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard PWR800 Galvanostatic analysis script shows a plot of voltage versus time on the first page. Common analyses performed from this graph include Integrate, and Min/Max commands. Descriptions of the analysis commands on the PWR800 Galvanostatic menu can be found in the Commands section of the PWR800 Data Analysis Help.


Galvanostatic Analysis Pages

The standard cyclic galvanodynamic analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Cyclic Galvanodynamic analysis. It contains the data plotted in a Voltage versus log Current format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

AE Data

When AE data is viewed, a new chart is displayed on an additional page. If multiple AE channels are selected, each AE channel's plot can be overlaid on the same page, or a separate page can be created for each AE channel. AE data is plotted in a Voltage versus Time format.


Potentiostatic Analysis Overview

The PWR800 Potentiostatic analysis script allows the user to open PWR800 Potentiostatic data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard PWR800 Potentiostatic analysis script shows a plot of current versus time on the first page. Common analyses performed from this graph include Integrate, Min/Max, and Normalize by Area commands. Descriptions of the analysis commands on the PWR800 Potentiostatic menu can be found in the Commands section of the PWR800 Data Analysis Help.


Potentiostatic Analysis Pages

The standard potentiostatic analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Potentiostatic analysis. It contains the data plotted in a Current versus Time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

AE Data

When AE data is viewed, a new chart is displayed on an additional page. If multiple AE channels are selected, each AE channel's plot can be overlaid on the same page, or a separate page can be created for each AE channel. AE data is plotted in a Voltage versus Time format.


Charge Analysis Overview

The PWR800 Charge Discharge analysis script allows the user to open Charge data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard PWR800 Charge Discharge analysis script shows a plot of voltage and current versus time on the first page. Common analyses performed from this graph include the Min/Max command. Descriptions of the analysis commands on the PWR800 Charge Discharge menu can be found in the Commands section of the PWR800 Data Analysis Help.

In addition being created by Charge experiments, Charge data files can also be created as part of a Cyclic Charge Discharge experiment.


Charge Analysis Pages

The standard charge analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Charge analysis. It contains the data plotted in a Voltage and Current versus time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Curve

This page contains a grid showing the data curve portion of the data file. To display this page, select Options from the PWR800 Charge Discharge menu and check the Display grid for each data table option.

Quick Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

Average

This page contains a grid of showing average values of each visible trace based on the most recent use of the Average command.

AE Data

When AE data is viewed, a new chart is displayed on an additional page. If multiple AE channels are selected, each AE channel's plot can be overlaid on the same page, or a separate page can be created for each AE channel. AE data is plotted in a Voltage versus Time format. For more information see View AE Data.


Discharge Analysis Overview

The PWR800 Charge Discharge analysis script allows the user to open Discharge data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard PWR800 Charge Discharge analysis script shows a plot of voltage and current versus time on the first page. Common analyses performed from this graph include the Calculate Capacitance command. Descriptions of the analysis commands on the Charge Discharge menu can be found in the Commands section of the PWR800 Data Analysis Help.

In addition being created by Discharge experiments, Discharge data files can also be created as part of a Cyclic Charge Discharge experiment.


Discharge Analysis Pages

The standard discharge potential analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Discharge analysis. It contains the data plotted in a Voltage and Current versus time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Curve

This page contains a grid showing the data curve portion of the data file. To display this page, select Options from the PWR800 Charge Discharge menu and check the Display grid for each data table option.

Quick Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

Average

This page contains a grid of showing average values of each visible trace based on the most recent use of the Average command.

AE Data

When AE data is viewed, a new chart is displayed on an additional page. If multiple AE channels are selected, each AE channel's plot can be overlaid on the same page, or a separate page can be created for each AE channel. AE data is plotted in a Voltage versus Time format. For more information see View AE Data.


Cyclic Charge Discharge Analysis Overview

The PWR800 Cyclic Charge Discharge analysis script allows the user to open Cyclic Charge Discharge data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard PWR800 Cyclic Charge Discharge analysis script shows two plots of charge versus time on the first page. One plot consists of data taken during the charge steps of the charge discharge cycles, while the second plot is data from the discharge steps. Common analyses performed from this graph include the Recalculate % Capacity command. Descriptions of the analysis commands on the Cyclic Charge Discharge menu can be found in the Commands section of the PWR800 Data Analysis Help.


Cyclic Charge Discharge Analysis Pages

The standard cyclic charge discharge analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Charge analysis. By default, it contains the data plotted in a Capacity versus time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Charge Curve and Discharge Curve

These pages contain a grid showing the data curve portion of the data file. For cyclic charge discharge experiments the charge and discharge steps are displayed separately. To display this page, select Options from the PWR800 Cyclic Charge Discharge menu and check the Display grid for each data table option.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

Average

This page contains a grid of showing average values of each visible trace based on the most recent use of the Average command.

AE Data

When AE data is viewed, a new chart is displayed on an additional page. If multiple AE channels are selected, each AE channel's plot can be overlaid on the same page, or a separate page can be created for each AE channel. AE data is plotted in a Starting and Ending Voltage versus Time format. For more information see View AE Data.


PWR800 Polarization Curve Analysis Overview

The PWR800 Polarization analysis script allows the user to open PWR800 Polarization data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard PWR800 Polarization analysis script shows a plot of voltage versus current on the first page. Common analyses performed from this graph include Integrate, Min/Max, Quick Integrate, and Calculate Capacitance commands. Descriptions of the analysis commands on the PWR800 Polarization menu can be found in the Commands section of the PWR800 Data Analysis Help.


Polarization Analysis Pages

The standard cyclic charge discharge analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Charge analysis. It contains the data plotted in a Voltage and Current versus time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Curve

This page contains a grid showing the data curve portion of the data file. To display this page, select Options from the PWR800 Polarization menu and check the Display grid for each data table option.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

Quick Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Average

This page contains a grid of showing average values of each visible trace based on the most recent use of the Average command.

AE Data

When AE data is viewed, a new chart is displayed on an additional page. If multiple AE channels are selected, each AE channel's plot can be overlaid on the same page, or a separate page can be created for each AE channel. AE data is plotted in a Starting and Ending Voltage versus Time format.


Cyclic Voltammetry Analysis Overview

The PWR800 Cyclic Voltammetry analysis script allows the user to open PWR800 Cyclic Voltammetry data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings..

The standard PWR800 Cyclic Voltammetry analysis script shows a plot of current (I) vs. voltage (E) on the first page. Common analyses performed from this graph include background subtractions, peak find, and normalize by scan rate or squareroot of scan rate. Descriptions of the analysis commands in the Cyclic Voltammetry menu can be found by clicking on the item in the Figure below.


Cyclic Voltammetry Analysis Pages

The standard cyclic voltammetry analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Cyclic Voltammetry analysis. It contains the data plotted in a Voltage versus Current format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Integration

This page contains a grid of integrated regions which were defined using the Integrate command.

Quick Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Quick Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

Peak Locations

This page contains a grid of Peak locations and magnitudes based on the most recent use of the Peak Find command.


Galvanostatic EIS

EIS Data files created using the PWR800 package are similar to those created with the EIS300 software. Please refer to the EIS help for more information.


Add E Constant

The Add E Constant command is used to offset the active trace by a user specified voltage. The steps to follow to use this command are as follows:

  1. Make the trace you wish to offset the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select the Add E Constant command from the document menu.
  3. Enter the voltage to offset the trace in the dialog, and click Ok.


Add I Constant

The Add E Constant command is used to offset the active trace by a user specified current. The steps to follow to use this command are as follows:

  1. Make the trace you wish to offset the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select the Add I Constant command from the document menu.
  3. Enter the current to offset the trace in the dialog, and click Ok.


Add Time Constant

The Add Time Constant command is used to offset the active trace by a user specified time. The steps to follow to use this command are as follows:

  1. Make the trace you wish to offset the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select the Add Time Constant command from the document menu.
  3. Enter the time to offset the trace in the dialog, and click Ok.


Linear Fit

The Linear Fit command performs a linear least squares fit on a user defined region of data and adds the resulting line as a trace on the chart. In order to use this command, a region must be specified on the Active trace.

The steps to use this command are as follows:

  1. Make the trace on which to fit a line the Active Trace.This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select a region on this trace using either the mouse or keyboard curve selection tools.

  3. Once a region is selected, choose the Linear Fit command on the document window. The algorithm will now begin to fit a line to the selected region. Once this is complete, a new trace will be added to the chart.

    Note that the details of the fit are presented in the QuickView area at the bottom of the chart. You can hide the QuickView window by clicking the X on the side-bar of the QuickView


Smooth Data

The Smooth Data command is used in cases where the acquired data is less than ideal. There are some cases where exterior noise enters the cell and causes the data to have some minor oscillations. The Smooth Data command offers two different types of smoothing algorithms.

The first is a sliding window type, which takes a number of data points in a window. This window averages the data points, and then slides one spot, and again takes an average. This sliding effect is repeated until all the data has been traversed. This technique is simple, but has a downside of causing the heights of peaks to be changed.

The second type is a Savitzky-Golay smoothing filter, which is a low pass filter which helps to preserve higher moments by approximating the underlying function with a polynomial. This method takes an order, which is the order of the polynomial, as well as a width, which is the number of points to be fit by the polynomial. The defaults of 4 for the order, and 16 for the width are suitable for the majority of applications, but can easily be changed.

The steps to smooth the data are as follows:

  1. Make the trace you wish to smooth the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.

  2. Select the Smooth Data command from the document menu. This will display the Smooth Data dialog.

  3. Select the smoothing filter type, specify the conditions for that filter and select the column of data to smooth. Once you are satisfied, press Ok. At this point the data will be smoothed. One side effect of smoothing the data is that it in essence replaces the original data in the document. To retrieve the original data, you must reload it from the original DTA file.


Transform Axes

The Transform Axes dialog box allows you to make some changes to the style of the current chart axes.

The Voltages section allows you to specify whether voltages should be graphed versus the reference potential (Eref) or versus the open circuit potential (Eoc). Please note that in order to view versus Eoc, the open circuit must have been measured. The style of the voltage will be referenced on the chart axes. If Eoc was not measured, the style will default to versus Eref. In this case, there may not be an Eref noting on the axis.

The Axes sections (X, Y, Y2) allow you to modify the format of the axis. In some cases, the axis is in a Log format and you may wish to change it to a Linear format. Also, some analyses display the data in a Reversed format, meaning that values are plotted from Maximum to Minimum rather than the normal way of Minimum to Maximum.

When you are satisfied with your changes, press Ok. If you do not wish to make changes, press Cancel.

Note: Any changes made to these settings are saved when the Set Current Plot As Default command is used.


Quick Integrate

The Quick Integrate command is used to integrate the current to achieve a total charge value. This command requires that an X Region be selected. The command will operate on all visible traces, and the results will be placed on a new Quick Integrate page, assuming one does not already exist. In the case where this page already exists, the new information will overwrite the old information.

The steps to use this command are as follows:

  1. If the calculation is to be based on only part of the curve, select the appropriate portion using either the Select X Region or Select Y Region tools, or select a portion of the curve using the mouse or keyboard selection tools.

  2. Once the region is selected, you may select the Quick Integrate command from the document menu. As soon as you select this command, the computer will begin to calculate the charge for the different sections of the curve. There can be up to three sections in a cyclic voltammetry curve. These sections are defined by the vertices of the applied voltage signal. In the case where you have a Vinit, a VLimit 1, and a VLimit2, you would have a 2 section curve. In the case where you have a Vinit, a VLimit1, a VLimit2, and a Vfinal, you would have a 3 section curve. The integrated current is listed by section.

    Note that the results are presented both on their own page, and in the QuickView area at the bottom of the chart. You can hide the QuickView window by clicking the X on the side-bar of the QuickView.


Min/Max

The Min/Max command is used to determine the minimum and maximum values of the data plotted on the Y axis. If a region of the curve has been selected using the Select X Region tool, then the command will find the minimum and maximum values within the selected region only. The command will operate on all visible traces, and the results will be placed on a new Min/Max page, assuming one does not already exist. In the case where this page already exists, the new information will overwrite the old information.

The steps to use this command are as follows:

  1. If your are looking for the min/max values in a specific portion of the curve, select an X region using the Select X Region tool. To select a region using this tool, left click in the main chart body at one bounding edge of the region. Holding the mouse button down, drag the mouse to the second bounding edge, and release the left button. You will then have a highlighted region on your chart.

  2. Once the region is selected, you may select the Min/Max command from the document menu. As soon as you select this command, the computer will begin to locate the minimum and maximum Y-values for each visible trace.

    3. Note that the results are presented both on their own page, and in the QuickView area at the bottom of the chart. You can hide the QuickView window by clicking the X on the side-bar of the QuickView.


Average

The Average command is used to determine the average value for all or a selected portion of the data plotted on the Y axis. If a region of the curve has been selected using the Select X Region tool, then the command will calculate the average of the values within the selected region only. The command will operate on all visible traces, and the results will be placed on a new Average page, assuming one does not already exist. In the case where this page already exists, the new information will overwrite the old information.

The steps to use this command are as follows:

  1. If the calculation is to be based on only part of the curve, select the appropriate portion using either the Select X Region tool.
  2. Once the desired portion of the curve is selected, select Averagefrom the document window. As soon as you select this command, the computer will begin to calculate the average Y-values for each visible trace.

    Note that the results are presented both on their own page, and in the QuickView area at the bottom of the chart. You can hide the QuickView window by clicking the X on the side-bar of the QuickView.


Recalculate % Capacity

For many types of PWR800 data files the Gamry Echem Analyst automatically calculates a percent capacity column and adds it to the data table. This column is calculated using a nominal capacity value usually entered during the set up of the experiment. This value is displayed on the experimental set up page with the label "Capacity".

If the value entered was incorrect (or not entered at all) the Recalculate % Capacitycommand recalculates the entire column using a new capacity value.

The steps to Recalculate the percent capacity column are as follows:

  1. Select "Recalculate % Capacity from the document menu. This will display a dialog box that contains two different values for capacity; "Calculated Capacity" and "Nominal Capacity". Calculated Capacity is calculated by the software as the total capacity or charge in the curve. This value cannot be changed by the user. Nominal Capacity is equal to the value entered during the experiment setup. This value can be edited by the user. The units for these values can be expressed in amp-hours, coulombs or a user defined custom unit, depending on the current option settings.

  2. To perform the recalculation using the calculated capacity, select Use calculated Capacity and click the Recalculate % Capacity button.
  3. To perform the recalculation using the nominal capacity, enter a new value for the nominal capacity, select Use Nominal Capacity and click the Recalculate % Capacity button.
  4. The % Capacity column will be recalculated. If the column is currently being plotted the plot is also refreshed to show the recalculated data.


Calculate Capacitance

The Calculate Capacitance command is used to determine the capacitance for a charge or discharge curve. Capacitance is calculated by dividing the change in charge by the change in voltage. If no portion of the curve has been selected, the calculation is performed using the entire curve, otherwise only the selected portion of the curve is included in the calculation.

The steps to use this command are as follows:

  1. If the calculation is to be based on only part of the curve, select the appropriate portion using either the Select X Region or Select Y Region tools, or select a portion of the curve using the mouse or keyboard selection tools.

  2. Once the desired portion of the curve is selected, select Calculate Capacitancefrom the document window. The capacitance is calculated and displayed in the Quick View window along with the change in charge and voltage used in the calculation.

    The quick view window can be closed by clicking on the small x in the lower, left corner.

    Note: This command is not available when viewing Cyclic Charge Discharge data. Those data files include a calculated column listing the capacitance for each charge and discharge step.


Calculate Rcell

The Calculate Rcell command is used to calculate cell resistance. All PWR800 experiments that generate voltage versus time data allow optional Current Interrupt IR measurement. The cell resistance is calculated by dividing the error voltage by the current. When this command is selected the calculated cell resistance is added to the data table as a new column and the new column is automatically plotted on the Y2 axis. This command is only available if IR measurement was turned on when the experiment was run. This command is not available in the Cyclic Charge Discharge package.


Open Secondary Raw Charge Discharge Data

When running a cyclic charge discharge experiment, user have the option to save raw data. When this option is selected additional data files for each charge and discharge step are saved. These files are identical to the data files created by running charge and discharge experiments. Secondary files are saved to a sub subfolder of the main data file's path. This command is used to quickly access those secondary data files. Overlaying multiple secondary files can be very useful in making comparisons between the various steps of a cyclic charge discharge experiment. This command is only available when viewing a cyclic charge discharge data file and the corresponding secondary data files are present.

The steps to use this command are as follows:

  1. Select the command from the menu. A typical file open dialog box is displayed.
  2. To open a single secondary file, simply select the file a click open or double click the file and the file is opened a new document window. If multiple files are selected, and additional dialog box is displayed providing the user with the option of overlaying the selected files or opening each file separately.

  3. Click OK with the Open Separately option selected to open each file in a new document window.
  4. To open each file in the same document window, select the Overlay option then choose a primary file (the first file listed is the primary file by default). All selected files are opened in one new document window with each files data curve overlaid on one chart.


View AE Data

If AE data was collected during an experiment, this command is used to plot the data curves for that data. When multiple channels of AE data are selected, each channel can be plotted on a separate chart, or each channel can be overlaid on one chart. Overlaying data from different AE channels provides the ability to visually compare data from each channel. This command is only available if AE data is present in the data file.

The steps to use this command are as follows:

  1. Select View AE Data from the menu. A dialog box will be displayed that includes a channel selector and overlay options.

  2. Select each AE channel to be viewed. To select all eight channels, click the Select All button
  3. Select the desired overlay option. Choose Overlay Selected to plot all selected AE channels on the same chart. Choose Overlay with Main to include a plot of the main data with the AE data. (Note: Overlay With Main is not available for cyclic charge discharge data files.) Choose Open Separately to plot each selected AE channel on a separate chart page.
  4. Select OK to plot the AE data. Depending on the selected overlay option, one or more new pages with a chart showing the selected AE channels will be displayed.
  5. If any AE data is currently open it will be closed and replaced with the new selection.

By default AE data is plotted as Voltage versus Time. AE data from Cyclic Charge Discharge experiments is plotted with the voltage at the start of the step(Vstart) on the Y axis, and voltage at the end of the step (Vend) on the Y2 axis. The charge and discharge steps are plotted separately.


Close AE Data

Selecting this command closes all AE data pages.


Set Current Plot As Default

The Set Current Plot As Default command allows users to save the current settings of a plot as the default. When this is done, all files of the same type will open with the saved settings. This command can be helpful for users who prefer plots to display data other than the default. For example, if a user always wants charge curves to plot voltage versus capacity instead of voltage versus time, he can make the change using the curve selector then select the Set Current Plot As Default command. After doing this all Charge curves will plot voltage versus capacity when opened.

The settings that are saved with this command are the data column currently displayed on each axis and the Linear/Log and Reversed setting for each axis set by using the Transform Axis command.

The steps to use this command are follows:

  1. Select the page containing the chart to be used as the default. (Settings can be saved for the main chart and AE charts independently)
  2. Use the curve selector and/or Transform Axis command to give the current chart the desired settings.
  3. Select Set Current Plot As Default from the document menu. The settings are saved.
  4. To revert back to the original system default settings. Select Restore System Default Plot.

Note: The saved settings will only be applied to files of the same type when opened on the same computer. users opening the same file on different computers will see the system default setting or their own saved settings.


Restore System Default Plot

The Restore System Default Plot command is used to clear any setting that were previously saved using the Set Current Plot As Default command. After selecting this command the chart will be refreshed to display the current plots in their original default state as defined by the software.

This command only clears settings for data files of the current file type and has no effect on other file types. It is also important to note that the Restore System Default Plot and Set Current Plot As Defaultcommands are local settings and will have no effect on the way files appear when opened on other computers.

Note: If settings were previously saved for an AE plot and AE data is currently being viewed, any open AE pages will be closed and the AE channels will need to be reselected.


Sign Options

By default the Echem Analyst uses positive signs for current, power and energy in charge and negative signs for the corresponding values in discharge.The Signs Options command is used to override the default sign conventions for PWR800 data analysis.

When the Sign Options command is selected a dialog box is displayed. The dialog box has three controls labeled Current, Power and Energy. Each of these controls has three possible settings: Charge Positive, Discharge Positive and Both Positive.

Once the desired settings are made for Current, Power and Energy, press the Apply button to register the changes. The data file will be reloaded using the new settings. The settings will be in effect only for the current session. To exit the dialog without applying any changes, simply press Close.

If you wish your selections to be used for all subsequent data files of the same type, press the Save as Defaults button to make these changes permanent.

Charge and discharge current, power and energy will always have opposite signs unless Both Positive is selected. For example, if Discharge Positve is selected for Current, current values will be negative when viewing a charge data.


Data File Overview

A Gamry Framework data file is a standard "tab delimited" ASCII file. By convention it has a ".DTA" filename extension. You can use other filename extensions, but they will be less convenient.

The Windows Notepad can be used to examine and modify Gamry Framework data files, but with some care. Microsoft Excel can also read these data files, and can be used to view or print them. However, editing and saving a file using Microsoft Excel may render the file unreadable by the Gamry Echem Analyst.

The data file is a collection of data objects. Each data object starts on a new line and is identified by a type, a tag, and one or more values. The type is a text descriptor of the kind of object represented by this information. Any text at the beginning of a line is assumed to be a type identifier. The data objects can be of various types The type, tag, and values of a data object are separated by the tab character.

After each type identifier, there is a tag identifier. This is a unique name for a specific object. Setup parameter data objects may also have one or more values following the type and tag.

The first two lines of a Framework data file are generally two special and important data objects:

EXPLAIN
TAG TYPICALEXPERIMENT

The EXPLAIN type identifies this file as one output from an Explain Script. Without this line, a file will not be read in by the Gamry Echem Analyst.

The next line begins an object, uniquely identified as type TAG, that is used to specify which experiment created the data file. In this example, the tag is "TYPICALEXPERIMENT". This object is used by the Gamry Echem Analyst to determine which Analysis script should be used when this data file is opened.

Data objects are generally more complicated. In the following example, the object is of type "POTEN", and stores information about a potential. The tag or name of this object is "VINIT". The information about the poten is contained in the 3 fields that follow the tag. The tab character is represented by "<tab>" so you do not confuse it with the space character.

VINIT<tab>POTEN<tab>-2.00000E-002T<tab>Initial &E (V)

One special type is a TABLE. A TABLE is output by a data curve. The TABLE type is followed by the number of data points. The table headings, units, and data values follow.

CURVE TABLE 33

Pt T Vf Im Vu Pwr Sig Ach Temp IERange Over

# s V A V W V V deg C # bits

0 0.5 1.14698E+001 1.49903E-001 0.00000E+000 1.71937E+000 1.49772E+000 8.55522E-001 0.00000E+000 11 ...........

1 1 1.16029E+001 1.49903E-001 0.00000E+000 1.73931E+000 1.49774E+000 8.65478E-001 0.00000E+000 11 .............

2 1.5 1.17347E+001 1.49900E-001 0.00000E+000 1.75904E+000 1.49774E+000 8.75374E-001 0.00000E+000 11 .............

3 2 1.18662E+001 1.49899E-001 0.00000E+000 1.77873E+000 1.49774E+000 8.85216E-001 0.00000E+000 11 ...........

Fields (tags, types, and values) within data objects are separated by the tab character. One exception is the separator between data points in a data curve, which is a carriage return.

Data objects can appear in any order in the file. The Gamry Echem Analyst locates objects within the file by means of their tags.


PWR800: Setup Parameters

In a typical data file, the setup parameters are data objects that follow the Analysis Tags. The parameter tags are quite descriptive. We will therefore not bother with a line by line description of the parameters.

Remember that values are separated from their tag and from each other by tabs. Parameter values are stored in the data file in the units in which they are entered into the setup. Logical variables are stored as T (true) or F (false). Shown below are examples of QUANT and SELECTOR type setup parameters.

CAPACITY | QUANT | 1.00000E+000 | Capacity (A-hr)
CELLTYPE | SELECTOR | 1 | Cell Type


PWR800: The Data Curve

With most PWR800 data files, the data portion of the file begins with this line.

CURVE TABLE 92

The tag identifies the data set as a "TABLE" datatype, and identifier of "CURVE", and with 92 data points. Other tag identifiers are possible. The PWR800 uses the "CURVE" tag, or close variants for most of its standard techniques. Some TABLE types do not specify the number of data points. This number is not required.

The first line following the datatype is a set of descriptive column headings. These headings are for file readability only. The PWR800 analysis scripts do not use the column headings to identify data positions within the curve. Click on each heading to get a description.The table shown below is typical of most PWR800 data files with the exception of Cyclic Charge Discharge files.

Pt | T | Vf | Im | Vu | Pwr | Sig | Ach | Temp | IERange | Over
# | s | V | A | V | W | V | V | deg C | # | bits
0 | .5 | 1.03351E+001 | 1.49896E-001 | 0.00000E+000 | 1.54919E+000 | 1.49772E+000 | 7.70412E-001 | 0.00000E+000 | 11 | ...........
1 | 1 | 1.04738E+001 | 1.49896E-001 | 0.00000E+000 | 1.56998E+000 | 1.49774E+000 | 7.80825E-001 | 0.00000E+000 | 11 | ...........
2 | 1.5 | 1.06113E+001 | 1.49897E-001 | 0.00000E+000 | 1.59061E+000 | 1.49774E+000 | 7.91136E-001 | 0.00000E+000 | 11 | ...........
3 | 2 | 1.07473E+001 | 1.49894E-001 | 0.00000E+000 | 1.61095E+000 | 1.49774E+000 | 8.01342E-001 | 0.00000E+000 | 11 | ...........

AE Data

If an experiment was run using an instrument with the Auxiliary Electrometers option, the resulting data file may contain additional columns for AE data. These columns will only be present in the data file if AE data was recorded. During experiment set up users may specify which AE channels are to be recorded (see AE Channels). AE columns in the data file for channels that were not selected will contain all zeros. The experimental set up page will also show which AE channels were selected. If 1 or more channels were selected a total of sixteen additional columns will appear in the data file after the "over" column: eight columns containing voltage for each AE channel and eight columns for power.

Column headings for AE data are: Vf1 through Vf8 and Pwr1 through Pwr8.

Cyclic Charge Discharge Data Curves

Data files produced by Cyclic Charge Discharge experiments have a different format than other PWR800 experiments. The data table typically has an identifier of "CAPACITYCURVE" and the columns differ as well. The table shown below is typical of a Cyclic Charge Discharge Data file.

Pt | T | Type | Cycle | Charge | Duration | Vstart | Vend | Energy | Tstart | Tend | Over
# | s | # | # | C | s | V | V | J | deg C | deg C | bits
0 | .5 | 0 | 1 | 5.218961 | 41.50167 | 11.46985 | 18.33774 | 82.07176 | 0.8555219 | 1.371079 | ...........
1 | 1 | 1 | 1 | 5.158938 | 34.38833 | 16.97445 | 8.048766 | -64.02049 | 1.2696 | .6002461 | ...........
2 | 1.5 | 0 | 2 | 5.790366 | 45.00167 | 16.97445 | 18.3363 | 87.97629 | 0.77017 | 1.371029 | ...........
3 | 2 | 1 | 2 | 5.16302 | 34.415 | 10.335 | 8.051501 | -64.06015 | 1.269403 | .6004817 | ...........

AE Data for Cyclic Charge Discharge

IF AE data was recorded for a Cyclic Charge Discharge experiment, the data file will include 24 additional columns. These columns contains the starting voltage, ending voltage and energy for each AE channel. If data was not recorded for a AE channel the columns for that channel will contain all zeros. The experimental setup page shows which channel were selected.

Column heading for AE data are: Ch1 Vstart through Ch8 Vstart, Ch1 Vend through Ch8 Vend, and Ch1 Energy through Ch8 Energy.


Calculated Quantities

Some data that is available in the Gamry Echem Analyst is not present in the data file but is automatically calculated by the Analyst when the data file is loaded. The quantities that are calculated is dependent on the type of data file being loaded. Not all analysis scripts calculate all quantities. Some quantities are present in certain types of data files but are calculated by the analyst in others. For example, energy is present in Cyclic Charge Discharge data files but is calculated by the Analyst for other file types.

Capacity/Charge

Calculated as the sum of current multiplied by time. Users are given the option to display this as "Capacity" with units of Amp-Hours or "Charge" with units of Coulombs. (See Script-specific Options)

Energy

Calculated as the sum of power multiplied by time. Unit is watts.

Load Resistance

Calculated as Voltage divided by current. Unit is Ohms.

% Capacity

Calculated as 100 * Charge / Nominal Capacity using the nominal capacity value entered during experiment set up. This value can also be recalculated using the Recalculate % Capacity command.

Capacitance

Calculated as Charge divided by the change in voltage. Units is Farads. For Cyclic Charge Discharge data files, this quantity is calculated for each step, resulting in a new data column. For all other type of data files the calculation is performed on demand and results in a single value (See Calculate Capacitence).

Coulombic Efficiency

For Cyclic Charge Discharge only. Calculated as the ratio of the charge in the discharge step versus the charge in a charge step for each cycle.

Energy Efficiency

Calculated as the ratio of energy obtained in a discharge step versus the energy lost used in a charge step for each cycle.

Real Time

This quantity is only calculated for Charge and Discharge data files and is only relevant when those files were generated as part of a Cyclic Charge Discharge experiment (See Save Raw Data). The Real Time values represent the time elapsed from the beginning of the Cyclic Charge Discharge experiment as opposed to the column for time (T) which represents the time elapsed from the beginning of the charge or discharge step. By overlaying multiple charge and discharge plots and selecting the Real Time using the curve selector, charge and discharge plots can be shown in chronological order along the X-axis instead of the plots overlaid on top of each other all starting at zero seconds.

The image below shows several successive change and discharge plots with real time displayed on the X axis.


Library Routines: PWR800

The PWR800 uses functions and classes that are specifically designed for development of energy generation and storage devices. These include special feedback signals for controlling power, load, and voltage galvanostatically as well as curves that implement stop tests that are appropriate for a wide variety of techniques.

The following items are described in this section.

Curve Classes

  • PWR
  • PWR_AE

Signal Classes

    • PWRCONST
    • PWRSTEP
    • PWRRAMP

Note: Many of functions belonging to the PWR and PWR_AE classes or identical. For the sake of brevity, only the PWR functions and the functions unique to the PWR_AE class are documented here.


PWR

Type: CLASS

Purpose:The PWR class handles data acquisition for PWR800 scripts. The PWR curve uses the potentiostat in galvanostat mode. As data is acquired the PWR class decimates it to the signal's requested output rate. This curve class is to be used with PWRCONST, PWRSTEP, and PWRRAMP signals. Other signals will not work properly with this class due to the decimation algorithm.

See Also


PWR_AE

Type: CLASS

Purpose:The PWR_AE class handles data acquisition for PWR800 scripts where the Auxiliary Electrometer option of the Reference 3000 is to be used. The PWR_AE curve uses the potentiostat in galvanostat mode. As data is acquired the PWR_AE class decimates it to the signal's requested output rate. This curve class is to be used with PWRCONST, PWRSTEP, and PWRRAMP signals. Other signals will not work properly with this class due to the decimation algorithm. Data is collected for both the main channel and the 8 auxiliary channels simultaneously.

See Also


PWRCONST

Type: CLASS

Purpose:The PWRCONST class describes a constant signal that can control current, power, voltage, or load. This signal is used mainly in energy storage and conversion research. Most of the activity associated with the PWRCONST happens in the background when a PWR Curve is run.

See Also


PWRSTEP

Type: CLASS

Purpose:The PWRSTEP class describes a step signal that can control current, power, voltage, or load. This signal is used mainly in energy storage and conversion research. Most of the activity associated with the PWRSTEP happens in the background when a PWR Curve is run.

See Also


PWRRAMP

Type: CLASS

Purpose:The PWRRAMP class describes a ramp signal that can control current, power, voltage, or load. This signal is used mainly in energy storage and conversion research. Most of the activity associated with the PWRRAMP happens in the background when a PWR Curve is run.

See Also


Pwr.Activate()

Type: INSTANCE FUNCTION

Purpose: Make the real time plot of the Pwr object the Active plot. If the Runner window Curve List control is set to Active, the plot will be displayed. If the Runner window Curve List is set to a definite curve, the display does not change.

Usage:

Pwr.Activate()

See Also


Pwr.Count()

Type: INSTANCE FUNCTION

Purpose: Return the number of points actually acquired in a object.

Usage:

NumPoints = Pwr.Count()

NumPoints INDEX The number of points in the PWR object.
Zero is returned if no data has been
acquired yet.

See Also


Pwr.DataCol()

Type: INSTANCE FUNCTION

Purpose: Create and return an object of the class DATACOL. The object is filed with data extracted from one column of the PWR object's data array. The data, once extracted, can then be submitted to other objects for further calculation. For example, a LINFIT object performs a linear regression analysis on two DATACOL objects.

A new DATACOL object is automatically created by the call to Pwr.DataCol(). It is usually transient, existing only for one function call.

Usage:

DataCol = Pwr.DataCol(ColumnCode)

DataCol DATACOL The new object containing the data
extracted from the PWR data array.

ColumnCode INDEX A code identifying the column to be
used. The following Predefined constants should be used:

PWR_T = Time
PWR_Vf = Applied Voltage
PWR_Vu = Uncompensated Voltage
PWR_Im = Measured Current
PWR_Pwr = Measured Power
PWR_R = Measured Resistance
PWR_Temp = Measured Temperature
PWR_IERange = IE Range used during measurement
PWR_Ach = Measured Voltage Aux Channel
PWR_Sig = Signal sent to Control Amp
PWR_Over = Overload column

See Also


Pwr.DataValue()

Type: INSTANCE FUNCTION

Purpose: Extract a single data item from a PWR object. The data item is taken from the ith data point and the jth data column. If no data has been taken the returned value is NIL.

Usage:

Data Value = Pwr.DataValue(PointNum,ColNumber)

Result REAL The returned value.
or
NIL No data acquired yet.

PointNum INDEX Point number, zero based. If PointNum is out of range, a value from the last or acquired point is returned.

NIL Always return a value from the last acquired point.

ColNumber INDEX A code identifying the column to be used. The following Predefined constants should be used:

PWR_T = Time
PWR_Vf = Applied Voltage
PWR_Vu = Uncompensated Voltage
PWR_Im = Measured Current
PWR_Pwr = Measured Power
PWR_R = Measured Resistance
PWR_Temp = Measured Temperature
PWR_IERange = IE Range used during measurement
PWR_Ach = Measured Voltage Aux Channel
PWR_Sig = Signal sent to Control Amp
PWR_Over = Overload column

See Also


PWR.New()

Type: CLASS FUNCTION

Purpose: Create a new Pwr object.

Usage:

Pwr = PWR.New (Tag, Pstat)
Tag | STRING | Curve tag for data output. Used in the curve dropdown selector.
Pstat | PSTAT | Pstat is an object with a PSTAT license
Pwr | PWR | The Curve Object

See Also


Pwr.Printl()

Type: INSTANCE FUNCTION

Purpose: Print the results of a Pwr curve to an Output file. The Output record will be printed in the following format:

Tag <tab> "TABLE" <tab> Points
<tab> "Pt" <tab> "T" <tab> "Vf" <tab> "Im" <tab> "Vu" <tab> "Pwr" <tab> "Sig" <tab>"Ach" <tab> "Temp" <tab> "IERange" <tab>  "Over"
<tab> "#" <tab> "s" <tab> "V" <tab> "A" <tab> "V" <tab> "W" <tab> "V" <tab>"V" <tab> "degC" <tab> "#" <tab>  "bits"
<tab> Pt1 T V I V.P.V V Temp.IERange.Over
<tab> Pt2 T V I V.P.V V Temp.IERange.Over
...
<tab> PtN T V I V.P.V V Temp.IERange.Over

Where the symbols have the following meanings:

Tag | The curve Tag (from PWR.New() or optional argument)
Points | Total number of points acquired
Pt(#) | Sequential number of a point.
T | Elapsed time from starting from Pwr.Run()
Vf | Applied Voltage vs Eref.
Im | Measured cell current.
Vu | Uncompensated Voltage
Pwr | Power
Sig | Signal sent to Control Amp
Ach | Aux Channel Voltage
Temp | Temperature from Thermocouple
IERange | IE Range used for the data point
Over | Overload flags

Usage:

Pwr.Printl (Tag)
Tag | STRING | Optional. Used to print a different Tag than the one used in the call to PWR.New()

See Also


Pwr.Run()

Type: INSTANCE FUNCTION

Purpose: Run the curve. When Pwr.Run() is executed, the acquired data is displayed in a real-time curve. There are three buttons active during Pwr.Run() - Abort, Pause/Continue, and Skip. The Abort button terminates the entire experiment. The Skip button skips to the next phase of the experiment, either to the end of the curve or to the next region of the signal generator's operation.

The active run can be halted in several ways 1) when the signal generator is finished, 2) if the operator hits a Skip Button, or 3) if one of the stopping criteria is met. The stopping criteria can be enabled or disabled using the Pwr.StopAt functions.

Usage:

Result = Ivt.Run ()
Result | INDEX |
 | NO_STOP | Normal termination or Skip/F2 button pressed
 | STOP_V_UNDER | E<Emin
 | STOP_V_OVER | E>Emax
 | STOP_V_STABLE | Abs(dVdt) < dVdTmin
 | STOP_V_RUNAWAY | Abs(dVdt) > dVdTmax
 | STOP_V_DECREASING | dVdt < dVdTmax
 | STOP_V_INCREASING | dVdT > dVdTmax
 | STOP_I_UNDER | I<Imin
 | STOP_I_OVER | I>Imax
 | STOP_I_STABLE | Abs(dIdT) < dIdTmin
 | STOP_I_RUNAWAY | Abs(dIdT) > dIdTmax
 | STOP_I_DECREASING | dIdT < dIdTmin
 | STOP_I_INCREASING | dIdT > dIdTmax
 | STOP_A_UNDER | A<Amin
 | STOP_A_OVER | A>Amax
 | STOP_A_STABLE | Abs(dAdT) < dAdTmin
 | STOP_A_RUNAWAY | Abs(dAdT) > dAdTmax
 | STOP_A_DECREASING | dAdT < dAdTmin
 | STOP_A_INCREASING | dAdT > dAdTmax
 | STOP_Q_UNDER | Q < Qmin
 | STOP_Q_OVER | Q > Qmax
 | STOP_Q_STABLE | Abs(dQdT) < dQdTmin
 | STOP_Q_RUNAWAY | Abs(dQdT) > dQdTmax
 | STOP_Q_DECREASING | dQdT < dQdTmin
 | STOP_Q_INCREASING | dQdT > dQdTmax
 | STOP_P_UNDER | P < Pmin
 | STOP_P_OVER | P > Pmax
 | STOP_P_STABLE | Abs(dPdT) < dPdTmin
 | STOP_P_RUNAWAY | Abs(dPdT) > dPdTmax
 | STOP_P_DECREASING | dPdT < dPdTmin
 | STOP_P_INCREASING | dPdT > dPdTmax
 | STOP_E_UNDER | E < Emin
 | STOP_E_OVER | E > Emax
 | STOP_E_STABLE | Abs(dEdT) < dEdTmin
 | STOP_E_RUNAWAY | Abs(dEdT) > dEdTmax
 | STOP_E_DECREASING | dEdT < dEdTmin
 | STOP_E_INCREASING | dEdT > dEdTmax
 | STOP_T_UNDER | Temp < TempMin
 | STOP_T_OVER | Temp > TempMax
 | STOP_T_STABLE | Abs(dTempDT) < dTempdTempMin
 | STOP_T_RUNAWAY | Abs(dTempDT) > dTempdTempMax
 | STOP_T_DECREASING | dTempDT < dTempdTempMin
 | STOP_T_INCREASING | dTempDT > dTempdTempMax

See Also


Pwr.SetAxis()

Type: INSTANCE FUNCTION

Purpose: Helps to define the real time display of an PWR object. Associates an axis with a data column in the object. Controls linear/log display formatting and allows labeling of the axis.

You must call Pwr.SetAxis for each of the axes in the real time plot. For a Y and Y' versus X plot you need 3 calls to Pwr.SetAxis().

Usage:

Pwr.SetAxis (AxisNo, Source, Scale, MinVal, Label, Units)
AxisNo | INDEX | Defines which axis is being configured. X_AXIS Y_AXIS Z_AXIS (This is the y axis on an upper plot
Source | INDEX | A code identifying the column to be used. See the PwrDataCol() topic for a list of columns.
Scale | INDEX | Indicates whether the axis is to be linear or logarithmic LIN_AXIS LOG_AXIS
MinVal | REAL | Minimum values used in prevention of "ugly" plot scaling. MinVal is used differently depending on Scale setting. On a linear axis, this is the minimum resolution of the plot. The range of values shown on the axis cannot be smaller than MinVal. This prevents excessively fine scaling when plotting data where all the values are identical or very similar. On a log axis, this value is substituted for 0's in the data. This prevents infinite log values.
Label | STRING | The label used for the axis. Short names (one or two character labels) are preferred.
Units | STRING | The units use for the axis. Short names are preferred.

See Also


Pwr.SetPlotView()

Type: INSTANCE FUNCTION

Purpose: Set the number of graphs displayed in the real time display.

Usage:

Pwr.SetPlotView (Format)
Format | INDEX | A code indicating the number of graphs displayed VIEW_NONE VIEW_SINGLE VIEW_DOUBLE

See Also


Pwr.SetTitle()

Type: INSTANCE FUNCTION

Purpose: Set the current title of the curve.

Usage:

Pwr.SetTitle(Title)
Title | STRING | A string representing the new title that the curve should use.

See Also


Pwr.Sprint()

Type: INSTANCE FUNCTION

Purpose: Print the status of the Pwr object to a string. The object's tag and last acquired data point will be printed in the format:

Tag,PointNumber

usage:

Result = Pwr.Sprint()
Result | STRING | Resulting tag & point number (0 based)

See Also


Pwr.SprintPoint()

Type: INSTANCE FUNCTION

Purpose: Used in output of data from a Pwr object. A data point from the object is printed to an ASCII string. This string can in turn be printed to the active output file.

The fromat of the string is:

PointNumber <tab> T <tab> Vf <tab> Im <tab> Vu <tab> Pwr <tab> Sig <tab>Ach <tab> Temp <tab> IERange <tab> Over

usage:

Result = Pwr.Sprint()
Result | STRING | Resulting tag & point number (0 based)

See Also


PWRCONST.New()

Type: CLASS FUNCTION

Purpose: Create a new PwrConst signal object.

Usage:

Signal = PWRCONST.New (Tag ,Pstat ,Value ,LimitValue ,Gain ,MinDif ,MaxStep ,TotalTime ,SamplePeriod ,PerturbationRate ,PerturbationPulseWidth ,TimerRes ,Mode ,WorkingPositive )
Tag | STRING | Tag for object identification
Pstat | PSTAT | Pstat is an object with a PSTAT license
Value | REAL | The value to be set by the signal object. This units of this value depend upon the mode selected. The units are either Volts, Amps, Ohms, or Watts.
LimitValue | REAL | This value is used to specify a limit used in calculating the signal. It is not used for PWR_MODE_CURRENT_DISCHARGE or PWR_MODE_CURRENT_CHARGE. Enter 0.0. For PWR_MODE_VOLTAGE it is the maximum current to be encountered, entered in Amps. For PWR_MODE_POWER it is the minimum voltage to be encountered, entered in Volts. For PWR_MODE_RESISTANCE it is the maximum voltage to be encountered, entered in Volts.
Gain | REAL | This is the gain used during the feedback loop. It should be left at the default value. PWR800_DEFAULT_GAIN
MinDif | REAL | This is the percentage above/below the nominal value, used during a perturbation. The nominal value is the current that is being applied by the signal. It is entered as a decimal where 1.0 = 100%. It should be left at the default value. PWR800_DEFAULT_MINIMUM_DIFFERENCE
MaxStep | REAL | This is the percentage of full scale that is used to limit the maximum step in current during the feedback loop. The I/E current range determines the full scale value. The percentage is entered as a decimal where 1.0 = 100% of the scale. It should be left at the default value. PWR800_DEFAULT_MAXIMUM_STEP
TotalTime | REAL | This is the total time that the signal is to be applied, entered in seconds.
SamplePeriod | REAL | This is the sample period, entered in seconds. This signal performs a feedback loop. The TimerRes determines the speed of the timer. The SamplePeriod determines the timing of output points.
PerturbationRate | REAL | This is the time, entered in seconds, between perturbations of the signal. A perturbation is an increase followed by a matching decrease in the applied signal value. This perturbation allows the signal to determine the response of the cell so that the feedback loop can work properly. Perturbations are only necessary in feedback modes. These modes are PWR_MODE_RESISTANCE, PWR_MODE_POWER, and PWR_MODE_VOLTAGE. Perturbations will be skipped if the control algorithm determines they are not necessary. This value should be left at the default value. PWR800_DEFAULT_PERTURBATION_RATE
PerturbationPulseWidth | REAL | This is the width of a perturbation, entered in seconds. A perturbation includes both an increase and a decrease, each will be held for this amount of time. This should be left at the default value. PWR800_DEFAULT_PERTURBATION_WIDTH
TimerRes | REAL | This is the fundamental timer setting of the instrument in seconds. It should be left at the default. PWR800_DEFAULT_TIMER_RESOLUTION
Mode | INDEX | This is the control mode of the signal. The following constants are valid values. PWR_MODE_CURRENT_DISCHARGE PWR_MODE_RESISTANCE PWR_MODE_POWER PWR_MODE_VOLTAGE PWR_MODE_CURRENT_CHARGE
WorkingPositive | BOOL | This value specifies if the working connection is connected to the positive or negative terminal. TRUE = Working connected to positive terminal FALSE = Working connected to negative terminal
Signal | OBJECT | The created PWRCONST object.

See Also


PWRRAMP.New()

Type: CLASS FUNCTION

Purpose: Create a new PwrRamp signal object.

Usage:

Signal = PWRRAMP.New (Tag ,Pstat ,InitialValue ,FinalValue ,ScanRate ,LimitValue ,Gain ,MinDif ,MaxStep ,SamplePeriod ,PerturbationRate ,PerturbationPulseWidth ,TimerRes ,Mode ,WorkingPositive )
Tag | STRING | Tag for object identification.
Pstat | PSTAT | Pstat is an object with a PSTAT license
InitialValue | REAL | The initial value to be set by the signal object. This units of this value depend upon the mode selected. The units are either Volts, Amps, Ohms, or Watts.
FinalValue | REAL | The final value of the signal ramp. This units of this value depend upon the mode selected.
ScanRate | REAL | The scan rate, entered in units/second, where units is defined by the mode of the signal.
LimitValue | REAL | This value is used to specify a limit used in calculating the signal. It is not used for PWR_MODE_CURRENT_DISCHARGE or PWR_MODE_CURRENT_CHARGE. Enter 0.0. For PWR_MODE_VOLTAGE it is the maximum current to be encountered, entered in Amps. For PWR_MODE_POWER it is the minimum voltage to be encountered, entered in Volts. For PWR_MODE_RESISTANCE it is the maximum voltage to be encountered, entered in Volts.
Gain | REAL | This is the gain used during the feedback loop. It should be left at the default value. PWR800_DEFAULT_GAIN
MinDif | REAL | This is the percentage above/below the nominal value, used during a perturbation. The nominal value is the current that is being applied by the signal. It is entered as a decimal where 1.0 = 100%. It should be left at the default value. PWR800_DEFAULT_MINIMUM_DIFFERENCE
MaxStep | REAL | This is the percentage of full scale that is used to limit the maximum step in current during the feedback loop. The I/E current range determines the full scale value. The percentage is entered as a decimal where 1.0 = 100% of the scale. It should be left at the default value. PWR800_DEFAULT_MAXIMUM_STEP
SamplePeriod | REAL | This is the sample period, entered in seconds. This signal performs a feedback loop. The TimerRes determines the speed of the timer. The SamplePeriod determines the timing of output points.
PerturbationRate | REAL | This is the time, entered in seconds, between perturbations of the signal. A perturbation is an increase followed by a matching decrease in the applied signal value. This perturbation allows the signal to determine the response of the cell so that the feedback loop can work properly. Perturbations are only necessary in feedback modes. These modes are PWR_MODE_RESISTANCE, PWR_MODE_POWER, and PWR_MODE_VOLTAGE. Perturbations will be skipped if the control algorithm determines they are not necessary. This value should be left at the default value. PWR800_DEFAULT_PERTURBATION_RATE
PerturbationPulseWidth | REAL | This is the width of a perturbation, entered in seconds. A perturbation includes both an increase and a decrease, each will be held for this amount of time. This should be left at the default value. PWR800_DEFAULT_PERTURBATION_WIDTH
TimerRes | REAL | This is the fundamental timer setting of the instrument in seconds. It should be left at the default. PWR800_DEFAULT_TIMER_RESOLUTION
Mode | INDEX | This is the control mode of the signal. The following constants are valid values. PWR_MODE_CURRENT_DISCHARGE PWR_MODE_RESISTANCE PWR_MODE_POWER PWR_MODE_VOLTAGE PWR_MODE_CURRENT_CHARGE
WorkingPositive | BOOL | This value specifies if the working connection is connected to the positive or negative terminal. TRUE = Working connected to positive terminal FALSE = Working connected to negative terminal
Signal | OBJECT | The created PWRRAMP object.

See Also


PWRSTEP.New()

Type: CLASS FUNCTION

Purpose: Create a new PwrStep signal object.

Usage:

Signal = PWRSTEP.New (Tag ,Pstat ,Value1 ,LimitValue1 ,Value2 ,LimitValue2 ,Gain ,MinDif ,MaxStep ,TimeStep1 ,TimeStep2 ,SamplePeriod ,PerturbationRate ,PerturbationPulseWidth ,TimerRes ,Mode ,WorkingPositive )
Tag | STRING | Tag for object identification
Pstat | PSTAT | Pstat is an object with a PSTAT license
Value1 | REAL | The first value to be set by the signal object. This units of this value depend upon the mode selected. The units are either Volts, Amps, Ohms, or Watts.
LimitValue1 | REAL | This value is used to specify a limit used in calculating the signal. This limit pertains to the first step in the signal. It is not used for PWR_MODE_CURRENT_DISCHARGE or PWR_MODE_CURRENT_CHARGE. Enter 0.0. For PWR_MODE_VOLTAGE it is the maximum current to be encountered, entered in Amps. For PWR_MODE_POWER it is the minimum voltage to be encountered, entered in Volts. For PWR_MODE_RESISTANCE it is the maximum voltage to be encountered, entered in Volts.
Value2 | REAL | The second value to be set by the signal object. This units of this value depend upon the mode selected. The units are either Volts, Amps, Ohms, or Watts.
LimitValue2 | REAL | This value is used to specify a limit used in calculating the signal. This limit pertains to the second step in the signal. It is not used for PWR_MODE_CURRENT_DISCHARGE or PWR_MODE_CURRENT_CHARGE. Enter 0.0. For PWR_MODE_VOLTAGE it is the maximum current to be encountered, entered in Amps. For PWR_MODE_POWER it is the minimum voltage to be encountered, entered in Volts. For PWR_MODE_RESISTANCE it is the maximum voltage to be encountered, entered in Volts.
Gain | REAL | This is the gain used during the feedback loop. It should be left at the default value. PWR800_DEFAULT_GAIN
MinDif | REAL | This is the percentage above/below the nominal value, used during a perturbation. The nominal value is the current that is being applied by the signal. It is entered as a decimal where 1.0 = 100%. It should be left at the default value. PWR800_DEFAULT_MINIMUM_DIFFERENCE
MaxStep | REAL | This is the percentage of full scale that is used to limit the maximum step in current during the feedback loop. The I/E current range determines the full scale value. The percentage is entered as a decimal where 1.0 = 100% of the scale. It should be left at the default value. PWR800_DEFAULT_MAXIMUM_STEP
TimeStep1 | REAL | This is the time that the first step of the signal is to be applied, entered in seconds.
TimeStep2 | REAL | This is the time that the second step of the signal is to be applied, entered in seconds.
SamplePeriod | REAL | This is the sample period, entered in seconds. This signal performs a feedback loop. The TimerRes determines the speed of the timer. The SamplePeriod determines the timing of output points.
PerturbationRate | REAL | This is the time, entered in seconds, between perturbations of the signal. A perturbation is an increase followed by a matching decrease in the applied signal value. This perturbation allows the signal to determine the response of the cell so that the feedback loop can work properly. Perturbations are only necessary in feedback modes. These modes are PWR_MODE_RESISTANCE, PWR_MODE_POWER, and PWR_MODE_VOLTAGE. Perturbations will be skipped if the control algorithm determines they are not necessary. This value should be left at the default value. PWR800_DEFAULT_PERTURBATION_RATE
PerturbationPulseWidth | REAL | This is the width of a perturbation, entered in seconds. A perturbation includes both an increase and a decrease, each will be held for this amount of time. This should be left at the default value. PWR800_DEFAULT_PERTURBATION_WIDTH
TimerRes | REAL | This is the fundamental timer setting of the instrument in seconds. It should be left at the default. PWR800_DEFAULT_TIMER_RESOLUTION
ModeStep1 | INDEX | This is the control mode of the first step of the signal. The following constants are valid values. PWR_MODE_CURRENT_DISCHARGE PWR_MODE_RESISTANCE PWR_MODE_POWER PWR_MODE_VOLTAGE PWR_MODE_CURRENT_CHARGE
ModeStep2 | INDEX | This is the control mode of the second step of the signal. The following constants are valid values. PWR_MODE_CURRENT_DISCHARGE PWR_MODE_RESISTANCE PWR_MODE_POWER PWR_MODE_VOLTAGE PWR_MODE_CURRENT_CHARGE
WorkingPositive | BOOL | This value specifies if the working connection is connected to the positive or negative terminal. TRUE = Working connected to positive terminal FALSE = Working connected to negative terminal
Signal | OBJECT | The created PWRSTEP object.

See Also


Pwr.SetStopAMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the Aux channel measurement. The value of the Aux Channel measurement must be greater than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAMax(AMax)
AMax | REAL | Stop value entered in Volts.


Pwr.SetStopAMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the Aux channel measurement. The value of the Aux Channel measurement must be less than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAMax(AMin)
AMin | REAL | Stop value entered in Volts.

See Also


Pwr.SetStopAAMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the absolute value of the Aux channel measurement. The AAMax test checks that the abs(A)>Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAAMax(AAMax)
AAMax | REAL | Stop value entered in Volts.

See Also


Pwr.SetStopAAMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the absolute value of the Aux channel measurement. The AAMin test checks that the abs(A) < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAAMin(Limit)
Limit | REAL | Limit value entered in Volts.

See Also


Pwr.SetStopDAMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on an increase of the Aux channel measurement. The DAMax test checks that dA/dt > Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopDAMax(Limit)
Limit | REAL | Limit value entered in Volts/second.

See Also


Pwr.SetStopDAMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on a decrease of the Aux channel measurement. The DAMin test checks that dA/dt < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopDAMin(Limit)
Limit | REAL | Limit value entered in Volts/second.

See Also


Pwr.SetStopADAMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on a runaway of the Aux channel measurement. The ADAMax test checks that the abs(dA/dt) > Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopADAMax(Limit)
Limit | REAL | Limit value entered in Volts/second.

See Also


Pwr.SetStopADAMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the stability of the Aux channel measurement. The ADAMin test checks that the abs(dA/dt) < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopADAMin(Limit)
Limit | REAL | Limit value entered in Volts/second.

See Also


Pwr.SetStopAtDelayAMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the AMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the AMin stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAMin(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAAMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the AAMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAAMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAAMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the AAMin stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAAMin(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayDAMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the DAMax stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayDAMax(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetStopAtDelayDAMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the DAMin stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayDAMin(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.


Pwr.SetStopAtDelayADAMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the ADAMax stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayADAMax(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetStopAtDelayADAMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the ADAMIN stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayADAMin(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.


Pwr.SetThreshAMax()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the Aux channel. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshAMax(AMax)
AMax | REAL | Threshold value entered in Volts. The measured Aux Channel value must be greater than this value for the threshold criteria to be met.

See Also


Pwr.SetThreshAMin()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the Aux channel. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshAMinx(AMin)
AMin | REAL | Threshold value entered in Volts. The measured Aux Channel value must be less than this value for the threshold criteria to be met.

See Also


Pwr.SetStopIMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the Current measurement. The value of the Current measurement must be greater than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopIMax(IMax)
IMax | REAL | Stop value entered in Amps.

See Also


Pwr.SetStopIMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the Current measurement. The value of the Current measurement must be less than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopIMax(IMin)
IMin | REAL | Stop value entered in Amps.

See Also


Pwr.SetStopAIMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the absolute value of the Current measurement. The AIMax test checks that the abs(I)>Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAIMax(AIMax)
AIMax | REAL | Stop value entered in Amps.

See Also


Pwr.SetStopAIMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the absolute value of the Current measurement. The AIMin test checks that the abs(I) < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAIMin(Limit)
Limit | REAL | Limit value entered in Amps.

See Also


Pwr.SetStopDIMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on an increase of the Current measurement. The DIMax test checks that dI/dt > Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopDIMax(Limit)
Limit | REAL | Limit value entered in Amps/second.

See Also


Pwr.SetStopDIMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on a decrease of the Current measurement. The DIMin test checks that dI/dt < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopDIMin(Limit)
Limit | REAL | Limit value entered in Amps/second.

See Also


Pwr.SetStopADIMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on a runaway of the Current measurement. The ADAMax test checks that the abs(dI/dt) > Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopADIMax(Limit)
Limit | REAL | Limit value entered in Amps/second.

See Also


Pwr.SetStopADIMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the stability of the Current measurement. The ADIMin test checks that the abs(dA/dt) < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopADIMin(Limit)
Limit | REAL | Limit value entered in Amps/second.

See Also


Pwr.SetStopAtDelayIMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the IMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayIMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayIMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the IMin stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayIMin(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAIMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the AIMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAIMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAIMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the AIMin stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAIMin(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayDIMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the DIMax stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayDIMax(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetStopAtDelayDIMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the DIMin stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayDIMin(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetStopAtDelayADIMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the ADIMax stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayADIMax(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetStopAtDelayADIMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the ADIMIN stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayADIMIN(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetThreshIMax()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the Current measurement. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshIMax(IMax)
IMax | REAL | Threshold value entered in Amps. The measured I Channel value must be greater than this value for the threshold criteria to be met.

See Also


Pwr.SetThreshIMin()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the current measurement. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshIMinx(IMin)
IMin | REAL | Threshold value entered in Amps. The measured I Channel value must be less than this value for the threshold criteria to be met.

See Also


Pwr.SetStopVMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the voltage measurement. The value of the voltage measurement must be greater than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopVMax(VMax)
VMax | REAL | Stop value entered in Volts.

See Also


Pwr.SetStopVMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the voltage measurement. The value of the V Channel measurement must be less than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopVMax(VMin)
VMin | REAL | Stop value entered in Volts.

See Also


Pwr.SetStopAVMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the absolute value of the voltage measurement. The AVMax test checks that the abs(V)>Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAVMax(AVMax)
AVMax | REAL | Stop value entered in Volts.

See Also


Pwr.SetStopAVMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the absolute value of the voltage measurement. The AVMin test checks that the abs(V)>Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAVMin(AVMin)
AAMax | REAL | Stop value entered in Volts.

See Also


Pwr.SetStopDVMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on an increase of the voltage measurement. The DVMax test checks that dV/dt > Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopDVMax(Limit)
Limit | REAL | Limit value entered in Volts/second.

See Also


Pwr.SetStopDVMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on a decrease of the voltage measurement. The DVMin test checks that dV/dt < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopDVMin(Limit)
Limit | REAL | Limit value entered in Volts/second.

See Also


Pwr.SetStopADVMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on a runaway of the voltage measurement. The ADVMax test checks that the abs(dV/dt) > Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopADVMax(Limit)
Limit | REAL | Limit value entered in Volts/second.

See Also


Pwr.SetStopADVMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the stability of the voltage measurement. The ADVMin test checks that the abs(dV/dt) < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopADVMin(Limit)
Limit | REAL | Limit value entered in Volts/second.

See Also


Pwr.SetStopAtDelayVMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the VMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayVMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayVMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the VMin stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayVMin(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAVMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the AVMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAVMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAVMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the AVMin stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAVMin(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayDVMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the DVMax stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayDVMax(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetStopAtDelayDVMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the DVMin stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayDVMin(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetStopAtDelayADVMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the ADVMax stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayADVMax(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetStopAtDelayADVMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the ADVMin stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayADVMin(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetThreshVMax()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the voltage measurement. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshVMax(VMax)
VMax | REAL | Threshold value entered in Volts. The measured V Channel value must be greater than this value for the threshold criteria to be met.

See Also


Pwr.SetThreshVMin()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the voltage measurement. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshVMinx(VMin)
VMin | REAL | Threshold value entered in Volts. The measured V Channel value must be less than this value for the threshold criteria to be met.

See Also


Pwr.SetStopQMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the Charge measurement. The value of the Charge measurement must be greater than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopQMax(QMax)
QMax | REAL | Stop value entered in Amp Hours.

See Also


Pwr.SetStopQMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the Charge measurement. The value of the Charge measurement must be less than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopQMax(QMin)
QMin | REAL | Stop value entered in Amp Hours.

See Also


Pwr.SetStopAQMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the absolute value of the charge measurement. The AQMax test checks that the abs(Q)>Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAQMax(AQMax)
AQMax | REAL | Stop value entered in Volts.

See Also


Pwr.SetStopAQMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the absolute value of the charge measurement. The AQMin test checks that the abs(Q) < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAQMin(Limit)
Limit | REAL | Limit value entered in Amp hours.

See Also


Pwr.SetStopAtDelayQMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the QMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayQMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayQMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the QMin stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayQMin(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAQMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the AQMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAQMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAQMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the AQMin stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAQMin(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopEMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the Energy measurement. The value of the Energy measurement must be greater than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopEMax(EMax)
EMax | REAL | Stop value entered in Joules.

See Also


Pwr.SetStopEMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the Energy measurement. The value of the Energy measurement must be less than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopEMax(EMin)
EMin | REAL | Stop value entered in Joules.

See Also


Pwr.SetStopAEMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the absolute value of the Energy measurement. The AEMax test checks that the abs(E) > Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAEMax(Limit)
Limit | REAL | Limit value entered in Joules.

See Also


Pwr.SetStopAEMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the absolute value of the Energy measurement. The AEMin test checks that the abs(E) < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAEMin(Limit)
Limit | REAL | Limit value entered in Joules.

See Also


Pwr.SetStopAtDelayEMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the EMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayEMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayEMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the EMin stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayEMin(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAEMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the AEMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAEMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAEMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the AEMin stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAEMin(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetThreshEMax()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the Energy measurement. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshEMax(EMax)
EMax | REAL | Threshold value entered in Joules. The measured Aux Channel value must be greater than this value for the threshold criteria to be met.

See Also


Pwr.SetThreshEMin()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the Energy measurement. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshEMin(EMin)
EMin | REAL | Threshold value entered in Joules. The measured Energy value must be less than this value for the threshold criteria to be met.

See Also


Pwr.SetStopPMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the Power measurement. The value of the Power measurement must be greater than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopPMax(PMax)
PMax | REAL | Stop value entered in Watts.

See Also


Pwr.SetStopPMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the Power measurement. The value of the Power measurement must be less than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopPMax(PMin)
PMin | REAL | Stop value entered in Watts.

See Also


Pwr.SetStopAPMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the absolute value of the Power measurement. The APMax test checks that the abs(P)>Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAPMax(APMax)
APMax | REAL | Stop value entered in Watts.

See Also


Pwr.SetStopAPMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the absolute value of the Power measurement. The APMin test checks that the abs(P) < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAPMin(Limit)
Limit | REAL | Limit value entered in Watts.

See Also


Pwr.SetStopDPMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on an increase of the Power measurement. The DPMax test checks that dP/dt > Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopDPMax(Limit)
Limit | REAL | Limit value entered in Watts/second.

See Also


Pwr.SetStopDPMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on a decrease of the Power measurement. The DPMin test checks that dP/dt < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopDPMin(Limit)
Limit | REAL | Limit value entered in Watts/second.

See Also


Pwr.SetStopADPMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on a runaway of the Power measurement. The ADPMax test checks that the abs(dP/dt) > Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopADPMax(Limit)
Limit | REAL | Limit value entered in Watts/second.

See Also


Pwr.SetStopADPMin()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the stability of the Power measurement. The ADPMin test checks that the abs(dP/dt) < Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopAPAMin(Limit)
Limit | REAL | Limit value entered in Watts/second.

See Also


Pwr.SetStopAtDelayPMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the PMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayPMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayPMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the PMin stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayPMin(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAPMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the APMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAPMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayAPMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the APMin stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayAPMin(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayDPMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the DPMax stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayDPMax(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetStopAtDelayDPMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the DPMin stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayDPMin(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetStopAtDelayADPMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the ADPMax stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayADPMax(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetStopAtDelayADPMin()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the ADPMin stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayADPMin(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetThreshPMax()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the Power measurement. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshPMax(PMax)
PMax | REAL | Threshold value entered in Watts. The measured Power value must be greater than this value for the threshold criteria to be met.

See Also


Pwr.SetThreshPMin()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the Power measurement. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshPMinx(PMin)
PMin | REAL | Threshold value entered in Watts. The measured Power value must be less than this value for the threshold criteria to be met.

See Also


Pwr.SetThreshTMax()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the elapsed time starting from Pwr.Run. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshTMax(TMax)
TMax | REAL | Threshold value entered in seconds. The elapsed time must be greater than this value for the threshold criteria to be met.

See Also


Pwr.SetThreshTMin()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the elapsed time starting from Pwr.Run. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshTMinx(TMin)
TMin | REAL | Threshold value entered in seconds. The elapsed time must be less than this value for the threshold criteria to be met.

See Also


Pwr.SetStopTempMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on the value of the Temperature measurement. The value of the Temperate measurement must be greater than the specified criteria for the stop test to be met. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopTemp(Temp)
Temp | REAL | Stop value entered in degrees celcius.

See Also


Pwr.SetStopDTempMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on an increase of the temperature measurement. The DTempMax test checks that dTemp/dt > Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopDTempMax(Limit)
Limit | REAL | Limit value entered in degrees celcius/minute.

See Also


Pwr.SetStopADTempMax()

Type: INSTANCE FUNCTION

Purpose: Set a Stop At based on a runaway of the temperature measurement. The ADTempMax test checks that the abs(dTemp/dt) > Limit. Once met, the data acquisition will skip to the next signal section, or stop if there is no subsequent signal section.

Usage:

Pwr.SetStopADTempMax(Limit)
Limit | REAL | Limit value entered in Celcius/minute.

See Also


Pwr.SetStopAtDelayTempMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test. This function sets the delay for the TempMax stop test. The criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Pwr.SetStopAtDelayTempMax(Delay)
Delay | INDEX | Delay value entered in number of points.

See Also


Pwr.SetStopAtDelayDTempMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the DTempMax stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayDTempMax(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetStopAtDelayADTempMax()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. This function sets the delay for the ADTempMax stop test. Because this is a slope test, the delay is used to set the number of points over which the slope will be evaluated. over N points.

Usage:

Pwr.SetStopAtDelayADTempMax(Delay)
Delay | INDEX | Delay value entered in number of points. This is the number of points over which the slope will be evaluated.

See Also


Pwr.SetThreshTempMax()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the Temperature measurment. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshTempMax(TempMax)
TempMax | REAL | Threshold value entered in degrees celcius. The measured temperature must be greater than this value for the threshold criteria to be met.

See Also


Pwr.SetThreshTempMin()

Type: INSTANCE FUNCTION

Purpose: Set the threshold condition for the Temperature measurement. This condition must be met before any Pwr.StopAt tests will be performed. Once any threshold test is met, the StopAt criteria are evaluated for the rest of the scan.

Usage:

Pwr.SetThreshTempMin(TempMin)
TempMin | REAL | Threshold value entered in degrees Celsius. The measured temperature must be less than this value for the threshold criteria to be met.

See Also


Pwr_AE.StopAtAE()

Type: INSTANCE FUNCTION

Purpose: Enable or disable the Pwr_AE termination limits. There are 6 limiting conditions on which an AE curve may prematurely terminate:

VMin | V < Limit
VMax | V > Limit
ADVMin | abs(dV/dt) < Limit
ADVMax | abs(dV/dt) > Limit
DVMin | dV/dt < Limit
DVMax | dV/dt < Limit

The VMin criterion limits a negative voltage swing. The VMax criterion is used to limit a positive voltage swing. The ADVMin criterion is used to run a sample until it shows stable behavior. The ADVMax criterion limits the rate of change in voltage. The DVMin and DVMax conditions are signed versions of the ADVMin and ADVMax criteria.

Usage:

Pwr_Ae.StopAtAE(channel#, Vmin, Vmax, ADVMin, ADVMax, DVMin, DVMax)
channel# | INDEX | AE channel number
or | NIL | All AE channels
VMin | REAL | Lower limit on AE channel voltage measurement
or | NIL | Disable the voltage lower limit
VMax | REAL | Upper limit on AE channel voltage measurement
or | NIL | Disable voltage upper limit
ADVMin | REAL | Lower limit on AE channel Abs(dV/dT)
or | NIL | Disable Abs(dV/dT) lower limit
ADVMax | REAL | Upper limit on AE channel Abs(dV/dT)
or | NIL | Disable voltage upper Abs(dV/dT)
DVMin | REAL | Lower limit on AE channel dV/dT
or | NIL | Disable dV/dT lower limit
DVMax | REAL | Upper limit on AE channel dV/dT
or | NIL | Disable dV/dT upper limit


Pwr_AE.StopAtDelayAE

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of an AE curve caused by noise creating a false reading for a StopAt test. Avoids false readings by requiring that the StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test.

For absolute tests, such as V > Limit, the criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

In general you will only enable one of the threshold tests. The others will be turned off by a NIL argument in the function call.

Usage:

Pwr_Ae.StopAtDelayAE(channel#, Vmin, Vmax, ADVMin, ADVMax, DVMin, DVMax)
channel# | INDEX | AE channel number
or | NIL | All AE channels
VMin | INDEX | Delay for this number of points
or | NIL | Only one point required
VMax | INDEX | Delay for this number of points
or | NIL | Only one point required
ADVMin | INDEX | Delay for this number of points
or | NIL | Only one point required
ADVMax | INDEX | Delay for this number of points
or | NIL | Only one point required
DVMin | INDEX | Delay for this number of points
or | NIL | Only one point required
DVMax | INDEX | Delay for this number of points
or | NIL | Only one point required


Pwr_AE.ThreshAE

Type: INSTANCE FUNCTION

Purpose: Setup threshold conditions which must be met before the Pwr_AE.StopAtAE() tests will be performed. Once any of the threshold tests is met, the StopAt criteria are evaluated for the rest of the scan. There are six threshold tests that you can perform:

VMin | V < V_MinThresh
VMax | V > V_MaxThresh
ADVMin | abs(dV/dt) < ADV_MinThresh
ADVMax | abs(dV/dt) > ADV_MaxThresh
DVMin | dV/dt < DV_MinThresh
DVMax | dV/dt < DV_MaxThresh

Threshold tests allow you to tune the StopAt tests more carefully. For example, you can avoid a premature experiment termination due to an initial transient.

Note that any threshold test starts all StopAt tests. Also once StopAt testing is enabled, it is never disabled, even if the Threshold test that enabled it is not longer valid.

Usage:

Pwr_Ae.ThreshAE(channel#, Vmin, Vmax, ADVMin, ADVMax, DVMin, DVMax)
channel# | INDEX | AE channel number
or | NIL | All AE channels
VMin | REAL | Enable StopAt if V < VMin
or | NIL | Disable this test
VMax | REAL | Enable StopAt if V > VMax
or | NIL | Disable this test
ADVMin | REAL | Enable StopAt If abs(dV/dt) < ADVMin
or | NIL | Disable this test
ADVMax | REAL | Enable StopAt If abs(dV/dt) > ADVMax
or | NIL | Disable this test
DVMin | REAL | Enable StopAt If dV/dt < DVMin
or | NIL | Disable this test
DVMax | REAL | Enable StopAt If dV/dt > DVMax
or | NIL | Disable this test


Script-Specific Options

An Options selection is listed in each Script-specific Menu.

This command displays the Options dialog box. This dialog box allows the user to specify defaults used by the Gamry Echem Analyst. The options that are included will depend on the script being run. Not all options will appear for every script. Once you make the changes to the options, press the Apply button to register the changes. If you make a change that you wish to undo, simply press Close to exit the dialog box without saving the changes. The options in this dialog box apply only to the present data file.

If you wish your selections to be used for all subsequent data files of the same type, press the Save as Defaults button to make these changes permanent.

Many script-specific options require that the data file be reloaded. Any analyses that have been run will be lost.

Alternate I/V

Current-voltage curves can be displayed with the Voltage on X Axis or Voltage on Y Axis.

Grid

Display Grid for each data table

A grid is a spreadsheet-like display of the main data tables in a data file. Most files have one main data table, which can contain any number of data points. Displaying this information in a grid can be useful if you want to reference the tabular data. It is also useful if you wish to copy the data to the Windows Clipboard so that it may be pasted into another application. For some large data files, displaying a grid will involve a considerable amount of processing time. Each script has its own option for displaying a grid.

Grid Font

The font used for the grid can be globally set under the Tools/Options menu

Units

Current

Current can be expressed either as current (ampere) or as current density (A-cm-2) based on the setting of this option. Use this option if you wish to compare data taken with electrodes of different sizes.

Impedance

Impedance data will expressed as ohm or as ohm-cm2 based on the setting of this option. Capacitances will be expressed as F or F-cm-2.

Time

Name: The Name is specified by the dropdown list of available units. If the dropdown list specifies custom, this text can be specified by the user. This is the text that will appear on graphs which display time.

Factor: This is the multiplication factor used in calculating the difference between seconds and the actual time units to be used. This is user specified when custom units are selected.

Use for Open Circuit Data: This option specifies if the selected time units should be used on open circuit graphs as well as the main data graphs. If this is not selected, open circuit graphs will continue to use seconds as their unit of time.

Voltage

Based on the setting of this option, voltages can be specified relative to:

The Open Circuit Voltage measured at the start of the experiment ( vs. Eoc )

The Reference Electrode ( vs. Eref ). This is the actual voltage difference between the blue Working Electrode Sense lead ( green Working Electrode lead in the case of FAS1 or FAS2 ) and the white Reference Electrode lead as measured by the Potentiostat.

Capacity/Charge

This quantity can be expressed either as "Capacity" (Amp Hours) or "Charge" (Coulombs) based on the setting of this option. A custom setting is also available which will result in the quantity being expressed as "Capacity"

Name: The Name is specified by the dropdown list of available units. If the dropdown list specifies custom, this text can be specified by the user. This is the text that will appear on graphs. If Amp Hours is selected, the text that will appear in the curve selector will be "Capacity". If Coulombs or Custom is selected, the curve selector text will be "Charge".

Factor: This is the multiplication factor used in calculating the difference between coulombs and the actual units to be used. This is user specified when custom units are selected.

Energy

Name: The Name is specified by the dropdown list of available units. If the dropdown list specifies custom, this text can be specified by the user. This is the text that will appear on graphs which display Energy.

Factor: This is the multiplication factor used in calculating the difference between coulombs and the actual units to be used. This is user specified when custom units are selected.

Data Table

Remove 1st Row

This setting is only available for PWR800 Cyclic Charge Discharge data files. When checked the 1st row of the data in the current file's data table will be ignored by the analyst and will not appear on the graph or on any data grid.


Automatic Baseline

(similar to those in the figure to the right) for both forward and reverse peaks.

To use this command, first use the Peak Find command to locate the peaks and to measure their heights to a zero baseline. Next, click Automatic Baseline, select the peak for which you wish the baseline determined, and click OK. The linear portion of the curve just before the peak will be used to draw the baseline. That baseline will be automatically associated with the peak. The peak height will automatically be recalculated using the new baseline.

This command is present for Cyclic Voltammetry and Linear Scan experiments.


Peak Baselines

The Peak Baselines command is used to bring up a dialog box which allows you to specify what lines are used for baselines on what peaks.

In the figure depicted below, there is one peak which is currently being drawn to the zero-line. There is also a line which has been drawn, and is the desired baseline for the peak.

Sample peak with a baseline of zero.

To select the line (Line 1) as the baseline for the peak, select the Peak Baselines command. This will bring up the Baselines dialog box which contains a list of all the peaks, as well as a list of all the lines on the graph. This dialog is depicted in the figure below.

Sample Baselines Dialog box.

Notice that Peak 1 is selected in the left (Peak) listbox and None is selected in the right (Baseline) listbox. To make Line 1 the baseline for Peak 1, simply click on the Line 1 in the Baseline listbox. If there is more than 1 line, you can select any line as the baseline. If there is more than 1 peak, you must select the peak for which you wish to set the baseline.

The Update Lists button will update the list of Peaks and Baselines, in the event you have added a baseline or peak while this dialog box has remained open.

When you are satisfied with your selections, select the Close button. The graph will be updated to reflect the new baseline for the peak as shown below.

Sample peak with a new baseline (Line 1).


Clear Lines

The Clear Lines command will clear any lines drawn on the chart. This includes Freehand lines, any Linear Fit lines, as well as lines drawn with the Automatic Baseline command. If a line was used as a Peak Baseline, the peak height will be recalculated using no baseline.


Clear Peaks

The Clear Peaks command will clear all the peaks associated with the chart. Any peaks that are marked will be removed as well. Any pages associated with peak information will be removed.


Clear Regions

The Clear Regions command will clear all the regions associated with the chart. Any regions that are shown will be removed as well. Any pages associated with region information will be removed.


Delta Ep

The Delta Ep command is used to determine the potential difference between two peaks. In order to use this command, two or more peaks should have been found using the Peak Find command.

The steps to use this command are as follows:

  1. Use the Peak Find command to locate two or more peaks.

  2. Display the peaks by using the Mark Peaks tool on the toolbar. This will cause the peaks to be marked as shown below. Notice that there is a subscript number, which tells the number of the peak. In this case, a 1 and a 2. These numbers will allow you to know which peak is which in the Delta Ep dialog.

  3. Select the Delta Ep command from the document menu. The Delta Ep dialog will be displayed.

  4. Click on a peak in the First Peak listbox, and a different peak in the Second Peak listbox. The potential difference between the two peaks will be displayed in the Result section of the dialog box.

    The Update Peak Lists button will allow you to refresh the peaks in the listboxes, should you decide to leave this dialog box open while you perform another Peak Find.


Integrate

The Integrate command is used to integrate the current to achieve a total charge value. This command requires that an portion of a specific curve be selected. The command will operate on only the active trace, and the results will be placed on a new Integrate page, assuming one does not already exist. In the case where this page already exists, the new information will append the old information.

  1. The steps to use this command are as follows:

    1. Make the trace on which to integrate a region the Active Trace. This can be done by right clicking on the trace and pressing Activate Trace.

    2. Select a region on this trace using the Select Portion of Curve tool. To use this tool, left click with the mouse close to one bounding point of the region. Next, left click again near the second bounding point of the region. The region will become highlighted. If you select an improper range, no region may be displayed. To re-select a range, simply toggle the Select Portion of Curve tool, and try again.

    3. Once a range is selected, press the Integrate command on the document menu. The algorithm will now begin determine the area of the region.

    4. A new page will be added to the document, with a grid containing the integration information. If regions had been integrated previously, the new region information will simply append the existing information on the Integration page. The region information will also be displayed in the QuickView window at the bottom of the graph. You can hide the QuickView window by right clicking on the handle of the toolbar, and un-checking QuickView.

    5. The baseline is either zero, or the Line object which is selected to be the baseline for the region. The Region Baselines command allows you to specify which line goes with which region.

    6. Additional regions can be found by repeating steps 1 through 3. To clear regions you can use the Clear Regions command.

Note that the results are presented both on their own page, and in the QuickView area at the bottom of the chart. You can hide the QuickView window by clicking the X on the side-bar of the QuickView.


Normalize By Area

To normalize your current-voltage data to the area of your sample, click the Options/Units for Current/Current Density selection of the Script-specific menu.

To remove area normalization, click Options/Units for Current/Current selection of the Script-specific menu.


Normalize By Scan Rate

Normalize By Scan Rate or Normalize by the Square Root of the Scan Rate

The Normalize By Scan Rate and Normalize by Square Root of the Scan Rate commands are used to remove the effect of scan rate in cases where different scan rates have been used. This command takes the acquired current and divides it by the scan rate or the square root of the scan rate.

For peaks that are due to a species that is free to diffuse in the solution you should select Normalize by the Square Root of the Scan Rate. For species that are confined to the surface of the electrode (adsorbed species or a metal plated on the surface of the electrode) select Normalize by Scan Rate.

The steps to use this command are as follows:

  1. Make the trace you wish to Normalize the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.

  2. Select the Normalize By Scan Rate (or Normalize by the Square Root of the Scan Rate) command from the document menu. At this point, the data will be processed, and a modified trace, assuming one does not already exist, will be added to the chart. This modified trace will have a [NSR] ( or [NSSR] if the Square Root of Scan Rate has been selected) appended to its legend text, to let you know that it has been normalized.


Peak Find

The Peak Find command is used to have the computer search a region of data for a localized peak or valley. The algorithm looks for a change in the slope of the specified region, which indicates a peak or a valley. The algorithm then searches in this area for the maximum or minimum value which it then takes as its peak. This algorithm is written in VBA and may be viewed or modified by the advanced user as necessary.

The steps to use this command are as follows:

  1. Make the trace on which to search for peaks the Active Trace. This can be done by right clicking on the trace and pressing Activate Trace.

  2. Select a region on this trace using the Select Portion of Curve tool [image]. To use this tool, left click with the mouse close to one bounding point of the region. Next, left click again near the second bounding point of the region. The region will become highlighted. If you select an improper region, no peaks may be found. To re-select a region, simply toggle the Select Portion of Curve tool, and try again.

  3. Once a region is selected, press the Peak Find command on the document menu. The algorithm will now begin to search for peaks in the selected region. If no peaks are found, you will see a message box stating no peaks have been found. Try selecting another region.

  4. If peaks are found, a new page will be added to the document, with a grid containing the peak information. If peaks had been found previously, the peak information will simply append the existing peak information on the peak page. The peak information will also be displayed in the QuickView window at the bottom of the graph. You can hide the QuickView window by clicking the X on the side-bar of the QuickView.

  5. You can now display the peak on the chart if you wish by using the Mark Peaks tool [image]. Selecting this tool will display the peak location, and the distance from the peak to the baseline. The baseline is either zero, or the Line object which is selected to be the baseline for the peak. The Peak Baselines command allows you to specify which line goes with which peak.

  6. Additional peaks can be found by repeating steps 1 through 4. To clear peaks you can use the Clear Peaks command.


Region Baselines

The Region Baselines command is used to bring up a dialog box which allows you to specify what lines are used for baselines on what regions.

In the figure depicted below, there is one region which is currently being drawn to the zero-line. There is also a line which has been drawn, and is the desired baseline for the region.

To select the line (Line 1) as the baseline for the region, select the Region Baselines command. This will bring up the Baselines dialog box which contains a list of all the regions, as well as a list of all the lines on the graph. This dialog is depicted in the figure below.

Notice that Region 1 is selected in the left (Region) listbox and None is selected in the right (Baseline) listbox. To make Line 1 the baseline for Region 1, simply click on the Line 1 in the Baseline listbox. If there is more than 1 line, you can select any line as the baseline. If there is more than 1 region, you must select the region for which you wish to set the baseline.

The Update Lists button will update the list of Regions and Baselines, in the event you have added a baseline or region while this dialog box has remained open.

When you are satisfied with your selections, select the Close button. The graph will be updated to reflect the new baseline for the region as shown below.


Subtract Background From File

The Subtract Background From File command allows for one data file to be subtracted from another. This technique is usually used to subtract out information that pertains to the supporting electrolyte rather than the reaction of interest.

The algorithm used by this technique interpolates between data points so that the background file does not have to have the same exact data density as the original data. The background file should however, have a data range that is equal to, or larger than the original data from which it is to be subtracted.

In most cases, an exact background should be run which will create a one to one match-up of points.

The steps to use this command are as follows:

  1. Make a trace for the original data file the Active Trace. This can be done by right clicking on the trace and pressing Activate Trace. For this command, the Active trace is simply used to determine the active data file.

    Normally there is only one data file. However, in the case where files have been overlaid, a file must be specified for this command. If no file were specified, the system would not know from which file to subtract the background.

  2. Select the Subtract Background From File command from the document menu.

  3. Specify the name of the data file to subtract from the original data and press Open.

  4. The background subtraction algorithm will now perform the subtraction. In the case where there is a single curve in the original data file, and a single curve in the background file, the algorithm simply subtracts the two.

    In the case of cyclic voltammetry multiple curves may exist in one file. The algorithm uses the first curve in the background file as the background. It then loops through all of the curves in the file from which the Active trace belongs, subtracting this background from each.

  5. Once the subtraction(s) have been performed, a modified trace will be added, or changed if one already exists, to reflect the data which has had a background subtracted from it. The [BKS] identifier is added to the Legend text for traces which have had a background subtracted.


Subtract Constant Background

The Subtract Constant Background command allows the accumulated charge in a Controlled Potential Coulometry experiment to be corrected for a constant background current. If you wish to subtract a constant current from other experiments, such as Cyclic Voltammetry, use the Common Tools/Add Constant I function.

The steps to use this command are as follows:

  1. Make a trace for the original data file the Active Trace. This can be done by right clicking on the trace and pressing Activate Trace. For this command, the Active trace is simply used to determine the active data file.

    Normally there is only one data file. However, in the case where files have been overlaid, a trace must be specified for this command. If no trace were specified, the system would not know from which trace to subtract the background.

  2. Select the Subtract Constant Background option from the Coulometry menu. Enter the current to be subtracted.

  3. Once the subtraction has been performed, a modified trace will be added, or changed if one already exists, to reflect the data which has had a background subtracted from it. The net Charge versus Time and log (i) versus Time traces for the subtracted data will be shown. The [BKS] identifier is added to the Legend text for traces which have had a background subtracted.


Ach (DC105)

Auxiliary Input - Ach

This column is the potential measured using the auxiliary A/D converter input. The unit is the volt.


Charge

This column is the charge. The units is Coulombs. The values for this column are calculated by the Gamry Framework during data aqcuisition.

Note: This column is always recorded in Coulombs, however, the Analyst can displayed it in Amp-Hours or user defined custom units depending on the current option settings. (See Script-specific Options.)


Current (DC105)

Current - Im

This column is the cell current. The unit is the ampere.

Im is always a measured quantity. The PWR800 follows the Anodic current sign convention. An anodic current arises from an oxidation (corrosion) occurring at the electrode connected to the potentiostat's working electrode (green) lead. It is represented by a positive value. Both analog and/or digital filters may have been applied to the measured current signal. The nature and degree of the filtering is determined by the Explain script used to run the experiment. It is generally indicated in the Hardware parameters section of the data file.

In controlled potential techniques, the Framework autoranges the I/E converter of the potentiostat to try and keep the A/D converter between 8% to 90% of its full scale range. The range used for a current measurement cannot be recovered from the Im value. It is listed in the column labeled IERange

In controlled current techniques, Im is also the measured cell (excitation) current. Any external signal added to the cell excitation via the external input connector is reflected in the current values shown in this column.


Cycle

This column is the cycle number. Because a cycle is comprised of 1 charge step and 1 discharge step, each cycle is represented by 2 rows of data.


Duration

This column represents the duration of the step. The unit is seconds.


Energy

This column is the energy. The unit is joules. This column is calculated by the Gamry Framework during data acquisition.

Note: The energy is always recorded by the Gamry Framework in joules, however, the Analyst can displayed it in Watt-Hours or user defined custom units depending on the current option settings. (See Script-specific Options.)


IERange (DC105)

Current Range - IERange

This column indicates the hardware current range used to collect the data point. If the number in the column is n, then the range used is given by fs x 10npA. fs depends on the maximum current range of the Potentiostat (See Table.) A value of n of 5 would represent the 6 x 105 pA range ( 600 nA range) for a Reference 600.

Potentiostat | fs
Reference 600 | 6
PCI4/300 | 3
PCI4/750 | 7.5


Overloads

Some Gamry data files will have a column in the data table with the heading "Over" and units of "bits". This column will consist of a string of 13 characters. If no overloads were detected during the acquisition of a data point, all of these characters will be a period ("."). A character other than "." indicates an unusual and possibly serious overload condition existed during that data point. An example is shown below. As with all Tables, the columns are <tab> delimited.

OCVCURVE | TABLE | 40 |  |  |  |
 | Pt | T | Vf | Vm | Ach | Over
 | # | s | V vs. Ref. | V | V | bits
 | 0 | 0.258 | -4.70E-001 | 0.00E+000 | 1.84E-003 | .............
 | 1 | 0.516 | -3.73E-001 | 0.00E+000 | 2.86E-003 | techihssivarq

In this example, no overloads were detected for point #0, and each of the 13 characters is the "." character. In point #1, all of the possible overloads are set. The non-period character in each position indicates that an overload was detected and recorded. The position of the character in the string indicates the type of overload.

Note: The position of the character in the string indicates the type of overload, not the character. An "h" in the 4th position and an "h" in 6th position indicate different kinds of overload conditions!

Pos. | Char. | Meaning | Possible cause
1 | t | Timing problem | Data rate is too fast
2 | e | Potential Overload (Electrometer hardware limit exceeded) | Cell voltage is too big to measure
3 | c | CA Overload (Control Amplifier hardware limit exceeded) | Potentiostat is oscillating or Potentiostat can not control the cell potential or current
4 | h | CA Overload sometime during the data point (History CA Overload) | Transient overload, CA speed not optimized
5 | i | I Overload (I/E converter hardware limit exceeded) | Wrong I/E range
6 | h | I Overload sometime during the data point (History I Overload) | Current spike or transient
7 | s | Settling problem, hardware. Some hardware relay or range had not settled to its final position when the data point was taken. | Experiment is too fast to autorange I/E at these current levels
8 | s | Settling problem, software. Either the operator or the Explain script triggered a data point before the hardware was in a stable state. | Revise script or retrain operator
9 | i | ADC input was out of range for a current measurement | Wrong I channel range or offset
10 | v | ADC input was out of range for a voltage measurement | Wrong V channel range or offset
11 | a | ADC input was out of range for a measurement of the auxiliary ADC input | Wrong Aux channel range or offset
12 | r | Raw data overrun. Raw data queue is filled. | Computer is too busy or too slow for this experiment
13 | q | Processed data overrun. Processing queue is filled. | Computer is too busy or too slow for this experiment


Point Number (DC105)

Point Number, Pt

The numbers in this first column, under the column label "Pt", are data point numbers. As is typical in computer programs, PWR800 data point numbering starts with zero, not one. The first data point recorded is stored as the "zeroth" point.

The data point numbers for a normal PWR800 data file are always sequential integers. Data that has been edited can have gaps in the point number sequence. This creates no problems in the data analysis. If you write your own data manipulation program, we recommend that you also allow for non-sequential point numbers.


Potential (DC105)

Potential - Vf, Vu, Vm

These columns are cell potentials. The units are volts.

Vf

In controlled current techniques Vf is a measured number. If you select IR Compensation, the number is corrected for the IR drop measured via current interruption. The size of the correction is reported in the Vu data column. Vu is commonly referred to as the uncompensated voltage.

In controlled potential techniques, Vf is the corrected, measured cell voltage. Any external voltage added to the cell excitation via the external input connector is included in this value. If IR Compensation has been selected, the actual applied voltage between current interruptions is the sum of the Vf and Vu data.

In Corrosion Potential measurements, or in the Open Circuit Voltage (OCV) measurement prior to an experiment, Vf is the filtered, measured, open circuit voltage. A digital filter has been applied to minimize pickup of the AC mains frequency ( 50 or 60 Hz. )

Vu

Vu is commonly referred to as the uncompensated voltage. It is the voltage drop across the solution resistance between the Working Electrode and the tip of the Reference Electrode. If IR Compensation (Current Interrupt) has been selected, Vu is the difference between the measured voltage with the current flowing, and the voltage during the period of the Current Interrupt. The actual applied voltage between current interruptions is the sum of the Vf and Vu data.

Vm

Vm, where it appears, is included only for compatibility with older versions of the Gamry Framework Software.


Power - Pwr

This column is the Power. The unit is watts. This column is calculated by the Gamry Framework during data acquisition (Current * Voltage)

This column is not present in Cyclic Voltammetry data curves.


Sig (DC105)

Sig

This column is the output of the signal generator and the input to the control amplifier. The units are in volts (V). In potentiostatic techniques the applied cell voltage should be the same as this signal. This column of data also takes into account the uncompensated voltage.

In galvanostatic techniques the applied current is proportional to this signal. The proportionality constant depends upon the potentiostat and the current range in use.


Temp, Tstart/Tend

This column is the temperature measured if a thermocouple is attached. For Cyclic Charge Discharge data files, the temperature is recorded at the beginning (Tstart) and end (Tend) of each step.

If no thermocouple is attached, these columns will show all zeros.

This column is not present in Cyclic Voltammetry and Read Voltage curves.


Time (DC105)

Time - T

This column is time. The times are in seconds. Time is always reported in the data file, even if it is not the independent variable in a experiment. All the standard PWR800 techniques yield data points evenly spaced in time. However, the data analysis functions will work on data where this is not the case.


Type

This column indicates whether the row of data represents a charge step or discharge step. a value of 0 represents a charge. A value of 1 represents a discharge. The combination of a charge step and a discharge step represent one Cycle in a cyclic charge discharge data table.


Vstart/Vend

These two columns represent the voltages at the beginning (Vstart) and end (Vend) of each step. The units are volts.


AE Channels

The AE Channels parameter is an optional parameter that shows up only if an instrument with the Auxiliary Electrometers option is present in the system. If you do not have an instrument with an AE option, you will not see this setup parameter.

This parameter consists of checkboxes which control which channels are active during the experiment. The All button can be clicked to select all of the channels. The None button can be clicked to deselect all of the channels. In some experiments, there is a Set Limits checkbox. This checkbox is used to bring up a secondary dialog where limits for the individual AE channels can be entered as seen in the following figure.

The Checkbox for each AE channel turns the limit checking on for that channel. The Under (V) parameter tests for voltages less than the entered value. The Over (V) parameter tests for voltages above the entered value. If The measured value on an AE channel exceeds one of these limits, the experiment will skip to the next step, or end if there is no next step.


Capacity

This parameter allows the end user to specify the capacity, the amount of charge needed to charge or discharge a battery, to be recorded.

This value is not used during the experimental phase, but rather during the analysis where a percent capacity graph can be displayed. The units for this parameter are amp-hours (A-hr).


Cycles

Number of Cycles

The Number of Cycles parameter controls the number of charge/discharge cycles to be executed. Each cycle consists of 1 charge step and 1 discharge step.


Cycles

Loop End

The Loop End parameter is used test terminate an experiment when a conditional test becomes true. In a CCD test, a Loop End test is typically used to stop an experiment when the device has lost most of its capacity or fails to charge.


Cell Type

The Cell Type parameter is an optional parameter which is only displayed if a Reference 3000, which supports stack mode, is present.

Half Cell

When the cell type is Half-cell the instrument will measure the voltage between the working sense connection (blue) and the reference connection (white). This is the normal electrometer. The maximum measurable voltage in half-cell mode varies by instrument. Please consult the manual for your instrument and the specifications for the electrometer.

Full Cell

Full Cell mode is generally used to test a single cell electrochemical device. The test assumes a 2 electrode cell. This mode can also be used to test a small stack of cells with a total voltage below 10 volts.

The Positive terminal of the cell is connected to the potentiostat’s Working and Work Sense cell leads. The Negative terminal of the device is connected to the potentiostat’s Counter and Reference cell leads. The PWR800 will display an error message if the Working Connection is set to Negative. The potentiostat’s Counter Sense lead should be connected to the cell cable’s ground lead.

During the test, potentials are measured as the voltage difference between the Work Sense lead and the Reference lead. All cell current flows between the Working and Counter cell leads.

Charge current generally makes the potential of a cell more positive. Discharge currents have the opposite effect.

Stack

During an experiment in stack mode, the instrument measures the voltage between the working sense connection (blue) and the counter sense connection (orange lead). This is known as the high voltage electrometer. The maximum measurable voltage in stack mode is 32 V.

In general, if you are measuring a stack of batteries and your instrument is a Reference 3000, you will select Stack for your Cell Type.

NOTE: When using stack mode, the reference lead (white) should be tied to the ground lead (black) using the provided pin to pin adapter.


Charge Current

This setup parameter specifies the constant current used during the charge period. The value is specified in Amps.


Conditioning

One of the first steps in the experimental sequence is the optional conditioning of the electrode. Conditioning is used to insure that the electrode has a known surface state at the start of the electrode. You may condition the electrode to remove an oxide film or to grow one. Conditioning can be turned On or Off with the Conditioning check box on the Setup menu. Conditioning is done potentiostatically at the Conditioning E for a known time, Conditioning Time.

E is the potential applied during the conditioning phase of the experimental sequence. The conditioning potential has an allowed range of ±8 V. E is always specified versus the reference electrode.

Time is the length of time that the sample is potentiostatically controlled at the Conditioning E. The units for Time are seconds. The minimum time is one second. The maximum time is 400,000 s (more than 4 days). Below 1000 seconds, the time resolution is 1 s. Between 1000 and 10,000 s, the resolution is 10 s and above 10,000 s it is 100 s.


Cycles

The Cycles parameter controls the number of times the potential scan will be repeated during the experiment. Conceptually it is the number of times the potential will cycle from the Initial E setting to Scan Limit 1 to Scan Limit 2 to the Final E setting.


Final E

The Final E parameter is the ending potential of the scan segment. This potential can be selected in a versus Eoc or versus Eref. This potential is entered in Volts.


Initial E

The Initial E parameter is the starting potential of the scan segment. This potential can be selected in a versus Eoc or versus Eref. This potential is entered in Volts.


Step Size

The Step Size parameter determines the spacing between the data points in mV. A typical Step Size setting is between 1 and 5 mV.

The Step Size parameter combines with the scan range on any given cycle to determine the number of data points.

# Points = [ Scan Range (mV) ] / [ Step Size (mV) ]

The total number of data points must be less than 64000 for all cycles.

The Step Size parameter also combines with the Scan Rate parameter to determine the time interval between the data points.


Scan Limit 1

The Scan Limit 1 parameter is the first apex potential in a Cyclic voltammetry scan. This potential can be selected in a versus Eoc or versus Eref. This potential is entered in Volts.


Scan Limit 2

The Scan Limit 2 parameter is the second apex potential in a Cyclic voltammetry scan. This potential can be selected in a versus Eoc or versus Eref. This potential is entered in Volts.


Scan Rate

The Scan Rate parameter defines the speed of the potential sweep during data acquisition.

The Scan Rate is entered in units of mV/sec. A practical bound on the Scan Rate is 1000 mV/sec. Higher Scan Rates may run, but can yield inaccurate data due to the inability of the software to acquire data points fast enough.

The Scan Rate parameter when combined with the Step Size parameter determines time between data points and thus the data acquisition rate used in the experiment.

Time (seconds/point) = [ Step Size (mV/point) ] / [ Scan Rate (mV/second) ]

The maximum data acquisition rate is dependent on the speed of the computer, the configuration of Windows and the other software currently executing. As a guideline, you should avoid sample times below 100 µs. Note that for scans faster than 1 ms that the acquired data will only be displayed once the experiment has completed. This reduces the chance that the computer will limit the acquisition speed.


Discharge Mode

This setup parameter is used to specify the mode used during the discharge step of an experiment.

The dropdown box specifies the mode. There are three available modes: Constant Current, Constant Load, and Constant Power.

The edit box is used to enter the appropriate value in the units specified by each mode. Constant current units


Estimated Z

The Estimated Z parameter is a user entered estimate of the cell's impedance at the Initial Frequency. It is used to limit the number of trials required before acquiring the first data point in an impedance spectrum. Before taking the first data point, the EIS300 sets up the potentiostat and FRA to measure an impedance equal to Estimated Z and tries to measure the cell's impedance. If the estimate is fairly accurate, the first (or second) attempt to measure the impedance will succeed. If the estimate is poor, the system may take up to 5 trial readings before it finds the correct settings. It is generally sufficient if Estimated Z is within a factor of 5 of the cell's impedance.

After the first data point, the last measured impedance is used to calculate new measurement settings, so the entered Estimated Z becomes unimportant.

An accurate Estimated Z is more valuable when the initial frequency is low. Remember, 1 mHz is 1000 seconds per cycle. Each impedance reading requires at least 3 cycles at a given frequency, so 5 readings to find a range at 1 mHz will take over 4 hours!

The units for Estimated Z are ohms. There is no reason to enter values larger than 1 TW (1012W) or smaller than 0.01 W because these values drive the system settings to their most sensitive and least sensitive settings respectively.


Frequency Limits for the Supported Potentiostats

Potentiostat | Lower Frequency Limit | Upper Frequency Limit
PCI4-300 or PCI4 750 | 10mHz | 300 kHz
PCI4-FAS2 | 10mHz | 300 kHz
Reference 600 | 10mHz | 1 MHz


AC Current

The AC Current parameter determines the amplitude of the AC signal applied to the cell. The units are rms (root mean square) amps. To convert the entered value into a peak to peak value, multiply by 2Ö2 (which is approximately 2.83).

The range of the AC Current parameter is a complex topic.

You want an AC Current that will keep the electrochemical cell in a pseudo-linear region of its current to voltage curve. In general, you should avoid AC Currents that create more than 25 mV of rms voltage signal.

If your DC Current is zero, the largest AC Current you should enter is about 60% of the instruments maximum compliance current. You cannot enter the full compliance current, because you are specifying an rms value that is smaller than the peak value. If your DC Current is not zero, you must make sure that the sum of the absolute value of the DC current and 1.414 times the AC Current does not exceed the instruments compliance current.

If your DC Current is zero, the smallest AC current that you should enter is a function of the maximum frequency in your experiment. Calculate the ratio of your maximum frequency divided by 100 kHz. You should not enter a current smaller than 5 mA times this ratio. For example, if your maximum frequency is 1 kHz, you can enter a current as small as 50 nA. Regardless of the frequency, we do not recommend entering an AC Current less than 1 nA.

If you have a non-zero DC current, we recommend that your AC current be within 2 orders of magnitude of the DC current (between 1% of the DC Current and 100 times the DC Current).

The system does not control the AC Current exactly. At higher frequencies, the potentiostat often cannot maintain a one-to-one ratio between the AC signal at the galavanostat input and the resulting current signal.

The EIS300 system automatically compensates for this effect. When it does so, it adjusts the applied signal such that the measured AC current is close to being correct. It does not attempt to keep the measured I signal exactly equal to the AC Current parameter. The measured impedance relies on a measured AC Current so this lack of accuracy does to carry over to the experimental results.

In some cases, the potentiostat simply cannot apply the requested AC current. This occurs at high frequency on cells with high solution resistance. An error message such as "Unable to Control AC Cell Current should be seen on the real time display. If you see this message, try limiting your sweep range to avoid higher frequencies, lowering the setting on the AC Current parameter, or lowering your cell's solution resistance.


DC Current

The DC Current parameter defines the constant current applied to the cell throughout the frequency sweep. The AC Current is summed with the DC Current. In most cases, the DC Current should remain at its default value of zero.

The DC Current is entered in amps. The discussion of AC Current (above) describes some limitations on the DC Current value.


Final Frequency

The Final Freq. parameter defines the ending point for the frequency sweep during data acquisition. The frequency is entered in Hertz. The allowed range for Final Freq. is 10 mHz to 300 kHz (PCI4 family) or 10 mHz to 1 MHz (PC5 family).

EIS scans are usually run with the Initial Freq larger than the Final Freq. This relationship is not required in the EIS300.

NOTE: The frequency sweep may not stop exactly at the final frequency. It is mathematically impossible to control both the Points/decade and Final Freq parameters exactly for all scan ranges. The EIS300 chooses to control the Points/decade parameter exactly.


I/E Range Mode

The I/E Range Mode parameter controls the autorange state of the I/E converter. If Auto is selected, the I/E Range will be able to freely adjust based on measured currents. If Fixed is selected, the I/E Range will be fixed on a range which is able to measure the current entered in the Max Current parameter.

For fast experiments, it is recommended that Fixed be used for the I/E Range Mode. This setting will prevent glitches in the current measurement as the I/E Range resistor is switched.


Initial Delay

The Initial Delay phase of the experiment is the first step to occur in the experimental sequence. This phase of the experiment is used to stabilize the open circuit voltage of the sample prior to any applied signal and to measure that open circuit potential.

The Initial Delay is turned On or Off with the Initial Delay parameter check box in the Setup dialog. The Initial Delay Time parameter is the time that the sample will be held at the open circuit prior to the scan. The delay may stop prior to the Initial Delay Time if the Stability criterion for Eoc is met.

The units for Time are seconds. The minimum time is one second. The maximum time is 400,000 s (more than 4 days). Below 1000 seconds, the time resolution is 1 s. Between 1000 and 10,000 s, the resolution is 10 s and above 10,000 s it is 100 s.

In many cases, you really do not want to delay for a fixed time. What you really want is to delay until Eoc stops drifting. The Stability parameter allows you to set a drift rate that you feel represents a stable Eoc. If the absolute value of the drift rate falls below the Stability parameter, the Initial Delay phase of the experiment ends immediately, disregarding the programmed Initial Delay Time. Enter a Stability setting of zero to assure that the delay will last for the full Time.

The units of Stability are mV/s. A typical value is 0.05 mV/s. The upper limit in this parameter is 8 V/s, well above the range of practical stabilities with real cells. The lower limit of the Stability parameter is set by your patience. A stability of 0.01 mV/s means that a 1 mV drift takes 100s. The software will always take data long enough to resolve a 1 mV change in the potential at the requested drift rate.

No open circuit voltage measurement will take place if the initial delay is turned off. In this case, the open circuit voltage is defaulted to 0.0 volts.


Initial Frequency

The Initial Freq. parameter defines the starting point for the frequency sweep during data acquisition. The frequency is entered in Hertz. The allowed range for Initial Freq depends upon the Potentiostat.


IR Comp

The IR Comp parameter specifies the type of IR Compensation to be used during data acquisition. There are three possible settings for this parameter.

None

No IR Compensation is performed.

PF

Positive Feedback IR Compensation takes a user entered correction value (PF Corr) to correct for the uncompensated resistance. Because this value is entered at the beginning of the experiment, and is not measured after every point, this compensation method is suitable for fast experiments.

CI

Current Interrupt IR Compensation will be used. In this technique, a current interrupt measurement is after each point, and a determination of the uncompensated resistance is made based on the drop in the voltage measurement. This technique is not suitable for fast experiments, and Positive Feedback IR Compensation should be used instead.


IR Measure

This setup parameter determines whether or not the instrument performs IR measurements during the experiment.

When performing an IR measurement, the flow of current is interrupted and the uncompensated resistance is determined based on the corresponding drop in the voltage measurement. This measurement should not be used with fast sample periods. As a general rule, any sample period faster than 1 second is too fast for IR measurement.

The IR value is stored in a Vu column in the raw data file.


Max Charge Time

This setup parameter specifies the maximum amount of time to maintain the constant current charge. The image below depicts the setup widget.

The first edit box is used to specify the value. The value entered is based on the following drop down box.

Select the appropriate units of time for the value entered in the edit box.


Max Current

The Max Current parameter controls the current measurement range when the I/E Range Mode is Fixed. When the I/E Range Mode is Auto, the Max Current parameter specifies the maximum expected starting current.

You enter a Max Current value that is the largest current that you expect to see during the scans. From this information the software sets the current range used in the experiment. In order to use the most sensitive range that will not overload, the software will chose the current range based on a value that is 89% of the full scale current range. For example, when using a PC4/750, if a Max Current of 66 mA is input, the current range will be 75 mA. On the other hand, if a Max Current of 67 mA is entered, the 750 mA current range will be selected.

NOTE: The Max Current parameter is a current not a current density. The electrode area is not used calculation of the current range to use.

If your current data looks very choppy and steppy, the problem could be a poorly selected current range. If you enter a Max Current value of 10 mA and the maximum current in your sweeps is only 100 mA, you are only using 1/100th of the potentiostat's A/D converter range. The result is significant quantization error. Rerun the test entering a smaller Max Current in Setup.

If your current data shows perfectly flat, horizontal regions, the current has most likely overloaded the potentiostat's current measurement circuits. Check that the value that you entered for the Max Current parameter is larger that the actual measured cell current. Try rerunning the test with a larger value for the Max Current.


Max Discharge Time

This setup parameter specifies the maximum amount of time to maintain the discharge. The image below depicts the setup widget.

The first edit box is used to specify the value. The value entered is based on the following drop down box.

Select the appropriate units of time for the value entered in the edit box.


Notes

The Notes field allows you to enter several lines of text that describe the experiment. A typical use of Notes is to record the experimental conditions for a data set.

To the right hand side of the notes is a button. This button allows you to bring up a dialog box, shown below, which will show more of the notes at one time. You can edit the notes in either place.

Notes defaults to an empty string.

The Notes string is limited to 400 characters. It can include all printable characters including numbers, upper and lower case letters, and the most normal punctuation including spaces. tab characters are not allowed in the Notes string.

You can divide your Notes into lines using enter.


Optimize for

Optimize for is a Setup parameter in Electrochemical Impedance Spectroscopy Scripts. It offers three choices: Fast, Normal, and Low Noise. Fast is the appropriate selection when a) the cell's stability is poor and a spectrum must be measured rapidly or b) the system's impedance is low and well defined. Normal is the appropriate selection when the cell's impedance is high or the electrochemical system is noisy. The best data can be taken with the Low Noise selection.

When Low Noise is chosen, the time required to record an EIS spectrum can be quite long. The EIS300 tries to explain 99.9% of the variation in each Lissajous curve by fitting the E and I data to sine waves at the excitation frequency. It will record and average as many as 20 Lissajous curves to achieve this accuracy. There is a 2 second delay after each data point to allow the user to examine a Bode plot of the impedance spectrum.

When Fast is chosen, the time required to record a spectrum is much shorter (often by a factor of 5). The fit accuracy is reduced from 99.9% to 99.5%. The maximum number of Lissajous curves is reduced, as low as 2 at low frequency. The Lissajous curve is not displayed after the first ranging point, so there is no need for delays when the display changes.


Output Filename

The Output Filename parameter is the pathname of the file in which the output data will be written. It can be a simple filename with no path information.

In this case the output file is located in the default data directory. The default data directory is specified in the Gamry.INI file under the [Framework] section with a Key named DataDir. This default pathname can be changed using the Paths command under the Options Menu.

It can also include path information, such as "C:\DATA\YOURDATA.DTA." In this example, the data will be written to the "YOURDATA.DTA" file in the "DATA" directory on drive C.

The default value of the Output Filename parameter is an abbreviation of the technique name with a ".DTA" filename extension. We recommend that you use a ".DTA" filename extension for your data filenames. The data analysis package assumes that all data files have ".DTA" extensions.

NOTE: The software does not automatically append the ".DTA" filename extension. You must add it yourself.

If the script is unable to open the file, an error message box, "Unable to Open File," is generated. Common causes for this type of problem include:

  • An invalid filename.
  • The file is already open under a different Windows application.
  • The disk is full.

After you select OK in the error box, the script returns to the Setup box where a new filename can be entered.


Points per Decade

The Points/decade parameter defines the density of the data in the impedance spectrum. The data is spaced logarithmically and the number of data points in each decade in frequency exactly equals Points/decade.

As a consequence, the frequency sweep often does not stop exactly at the final frequency. It is guaranteed to do so only when the scan range contains an integer number of decades, such as 5 kHz to 0.05 Hz (5 decades).

You can use theInitial Freq , Final Freq, and Points/decade parameters to calculate the total number of data points in the spectrum. Assuming that Initial Freq = 5000, Final Freq = 0.2 and Points/decade = 10 :

Sweep Range = log (Initial Freq) - log(Final Freq) = 3.69 - (-0.69) = 4.39 decades

Estimated Points = 1.5 + Sweep Range x Points/decade = 1.5 + 4.39 x 10 = 45.4

Number of Points = 45 points

The estimated number of points is always converted to an integer by truncating the fractional part of the number. The spectrum cannot contain more than 32,000 data points. This is not a serious limitation since most impedance spectra contain fewer than 100 points.


Pstat

The Pstat parameter selects the potentiostat/galvanostat that will perform the experiment. Each labeled radio button corresponds to an installed potentiostat. When a potentiostat has been selected, its corresponding button is filled in.

In a multiple potentiostat system you can change the potentiostat selection by clicking on a Pstat’s button using the mouse. From the keyboard, you will tab down until a dotted line appears around one of the Pstat labels, then hit the spacebar to select among the potentiostats. Only one potentiostat can be selected at a time, so selecting one potentiostat will de-select another one.


Charge/Discharge Rest Time

The charge and discharge rest time setup parameters are used to make the system sit idle at the charged or discharged state for the specified time. After the specified time has elapsed, the next step will begin.


Sample Period

The Sample Period parameter determines the spacing between output data points.

The units used for the Sample Period are seconds. The shortest Sample Period we recommend is 50.0 ms (0.05 s). The longest Sample Period allowed is 600 s (Series G) or 715 s (Reference Family).

The Number of Points must be less than 262,143 (218-1).


Save Raw Data

This setup parameter determines whether or not raw charge and discharge data files are saved during a cyclic charge discharge experiment.

If this option is selected, individual charge and discharge data files are recorded for the cycles of the cyclic charge discharge experiment. The files are saved to a subfolder of the current data folder. The subfolder is automatically given the name "CHARGE_DISCHARGE". The filenames for the raw data files consist of the word "CHARGE" or "DISCHARGE" followed by an underscore and the cycle number in which the data was recorded. For example "CHARGE_#21.dta" would contain data recorded during the charge step of the 21st charge discharge cycle.

The Skip # parameter is used to specify the frequency at which the raw data files are saved. If this number is zero files are saved for every charge discharge cycle. If the Skip # is set to a value greater than zero, n cycles will be skipped for each cycle thgat is saved For example if the Skip # is set to 4 as shown above, the 1st cycle will be saved, the next four cycles (2, 3, 4 and 5) will be skipped, cycle 6 will be saved, cycles 7, 8, 9 and 10 will be skipped, cycle 11 will be saved, and so on.

NOTE: The format of these raw data files are identical to those that are created by the PWR8000 Charge and Discharge experiments and utilize the same analysis routines when opened in the Gamry Echem Analyst.


Default

The Default button in the Setup dialog box is used to restore all the parameters on the screen to their default values. You can use it to fix typing errors or find out previous values for a parameter you have already retyped.

The default values are the values as specified by the Explain script. All of the standard scripts perform an automatic restore of the last used values. These are the values first shown to the user. In order to get to the values specified by the script, use the Default button.


EIS Spectrum

With the addition of an EIS300 license, electrochemical impedance measurements can also be integrated into cyclic charge discharge experiments. This setup parameter is used to indicate if EIS data is to be recorded.

If EIS data is recorded an additional set up page shown below will be displayed.


First Step

The First Step parameter determines whether the first step of a cyclic charge discharge experiment is a charge or discharge step.


Restore

The Restore button is used to recover a parameter set from your disk. This is very useful when you are running repetitive tests. Selecting Restore will bring up a dialog box which requests the name of the file where your parameter set has been saved, and the Set Name within the file. Once you are satisfied with the names, selecting OK recalls the set from the specified file.


Save

The Save button is used to save the current parameter set on your disk. This is very useful when you are running repetitive tests.

Parameter sets are stored in a file with a ".SET" file name extension. More than one parameter set can be stored in each file, with the set distinguished by a Set Name. This system is a powerful tool for organizing your experimental setups. For example, each worker in a lab can have his own setup file ("JOE.SET", "KAREN.SET", etc.). Within her file, Karen can save multiple parameter sets under descriptive Set Names ("C1010 Noise", "Fast Noise", etc.).

Selecting Save will bring up a dialog box which requests the name of the file where you wish to save the parameter set, and the Set Name within in the file. Once you are satisfied with the names, selecting OK saves the set in the specified file.


Stop At

The Stop At parameters allow the end user to specify various limits to an experiment. The limit, if met, will cause the experiment to skip to the next step, or stop if there is no subsequent step.

Most experiments have Stop At 1 and Stop At 2. These parameters are treated equally, and if both are used, they are both tested on every raw data point. If either limit is reached, the experiment will skip to the next step or stop.

The available stop tests are shown in the drop-down box pictured below. Different experiments allow different tests, but the principles that govern their behavior are the same.

Once a limit has been selected, the appropriate units for entry of the limit are shown to the side of the limit value entry box as depicted below.

When a voltage limit is selected, the entry units are Volts.

When a temperature limit is selected, the entry units are Celcius.

The available stop tests are:

None
No stop test specified. The experiment will run until the maximum time specified.

Voltage

Voltage < Limit
Stop if measured voltage is less than the value entered in Volts.

Voltage > Limit
Stop if the measured voltage is greater than the value entered in Volts.

|Voltage| < Limit
Stop if the absolute value of the measured voltage is less than the value entered in Volts.

|Voltage| > Limit
Stop if the absolute value of the measured voltage is greater than the value entered in Volts.

|dV/dT| < Limit
Stop if the absolute value of the measured voltage change rate is less than the value entered in Volts/second.

|dV/dT| > Limit
Stop if the absolute value of the measured voltage change rate is greater than the value entered in Volts/second.

Current

Current < Limit
Stop if measured current is less than the value entered in Amps.

Current > Limit
Stop if the measured current is greater than the value entered in Amps.

|Current| < Limit
Stop if the absolute value of the measured current is less than the value entered in Amps.

|Current| > Limit
Stop if the absolute value of the measured current is greater than the value entered in Amps.

|dI/dT| < Limit
Stop if the absolute value of the measured current change rate is less than the value entered in Amps/second.

|dI/dT| > Limit
Stop if the absolute value of the measured current change rate is greater than the value entered in Amps/second.

Temperature

Temp > Limit
Stop if measured temperature is greater than the value entered in Celcius.

|dTemp/dt| > Limit
Stop if absolute value of measured temperature change is greater than the value entered in Celcius/minute.

Charge/Energy

|Charge| > Limit
Stop if absolute value of accumulated charge is greater than the value entered in Amp hours.

|Energy| > Limit
Stop if absolute value of transferred energy is greater than the value entered in Joules.


Test Identifier

The Identifier parameter is a string that is used as a name. It is written to the data file, so it can be used to identify the data in database or data manipulation programs.

The Identifier string defaults a name derived from the technique's name. While this makes an acceptable curve label, it does not generate a unique descriptive label for a data set.

The Identifier string is limited to 80 characters. It can include almost any normally printable character. Numbers, upper and lower case letters, and most normal punctuation characters including spaces are valid.


Voltage Finish

The voltage finish setup parameter is used primarily for the charging of batteries. Once the battery has reached a voltage limit, it is held at the voltage limit for the user specified time, or until the current draw has dropped below a user specified limit. The following image depicts the voltage finish widget.

The checkbox is used to turn on/off the voltage finish. The first edit box is used to specify the lower limit of current, in Amps, at which the voltage finish terminates. The second edit box is used to specify the maximum amount of time the voltage is to be applied in the event the current limit is never reached.

NOTE: You must specify a Stop At criteria based on a voltage limit in order to use a voltage finish.


Working Connection

The Working Connection parameter specifies how the potentiostat is connected to the ESC device.

When the working lead (green) is connected to the positive electrode of the ESC device, you select Positive for this parameter. When the working lead is connected to the negative electrode of the ESC device, you select Negative for this parameter.

In general, Positive is the recommended connection.